# Generated by configure.  Do no edit.

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[release] 1.0.0

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:

	Update the NEWS

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-debug.c:
	* clutter/pango/cogl-pango-render.c:

	Fix compiler warnings when COGL debug level=minimum

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* TODO:

	[docs] Point the TODO to Bugzilla

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	[docs] Update requirements and release notes

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:
	* clutter/clutter-units.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/conform/test-clutter-units.c:

	[units] Add binding-friendly initializers

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Fix variable use

2009-07-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/win32/clutter-stage-win32.c:

	[win32] Remove the call to clutter_redraw in
	clutter_stage_win32_show

2009-07-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/win32/clutter-stage-win32.c:

	[win32] Move the show/hide to be implementations of the interface

2009-07-28  Neil Roberts  <neil@linux.intel.com>

	* build/mingw/mingw-cross-compile.sh:

	[build/mingw] Update Cairo version to 1.8.6 in
	mingw-cross-compile.sh

2009-07-07  Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* clutter/cogl/common/cogl-matrix.c:

	Avoid near/far identifier names.

2009-07-01  Ole André Vadla Ravnås  <oleavr@gmail.com>

	* clutter/json/json-object.c:

	Remove unused variable to fix compiler warning.

2009-07-01  Ole André Vadla Ravnås  <oleavr@gmail.com>

	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-primitives.c:

	Call glClientActiveTexture() through COGL context.

2009-06-16  Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* clutter/cogl/common/cogl-blend-string.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl.c:

	Avoid C99 to fix compilation with compilers like MSVC.

2009-05-18  Ole André Vadla Ravnås  <oleavr@gmail.com>

	* clutter/clutter-main.c:

	Initialize pixel data before glReadPixels().

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* tests/interactive/test-cogl-vertex-buffer.c:

	Reposition variable declarations to avoid C99.

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* tests/interactive/test-clutter-cairo-flowers.c:

	Add MSVC preprocessor guards in test-clutter-cairo-flowers.c

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* tests/interactive/test-scale.c:

	Add white_color a variable on the stack.

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* tests/conform/test-conform-common.h:

	Add int dummy; to empty struct TestConformSimpleFixture
	definition.

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* tests/interactive/test-fbo.c:
	* tests/interactive/test-shader.c:

	Remove config.h inclusion.

2009-03-31  Haakon Sporsheim  <haakon.sporsheim@gmail.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-matrix.c:

	Reposition variable declarations to avoid C99.

2009-07-28  Neil Roberts  <neil@linux.intel.com>

	* build/msvc_2k5/README:
	* build/msvc_2k5/clutter-version.h:
	* build/msvc_2k5/clutter.sln:
	* build/msvc_2k5/clutter.vcproj:
	* build/msvc_2k5/test-actors.vcproj:
	* build/msvc_2k5/test-behave.vcproj:
	* build/msvc_2k5/test-boxes.vcproj:
	* build/msvc_2k5/test-depth.vcproj:
	* build/msvc_2k5/test-entry.vcproj:
	* build/msvc_2k5/test-events.vcproj:
	* build/msvc_2k5/test-offscreen.vcproj:
	* build/msvc_2k5/test-perspective.vcproj:
	* build/msvc_2k5/test-project.vcproj:
	* build/msvc_2k5/test-rotate.vcproj:
	* build/msvc_2k5/test-scale.vcproj:
	* build/msvc_2k5/test-score.vcproj:
	* build/msvc_2k5/test-script.vcproj:
	* build/msvc_2k5/test-text.vcproj:
	* build/msvc_2k5/test-textures.vcproj:
	* build/msvc_2k5/test-threads.vcproj:
	* build/msvc_2k5/test-timeline.vcproj:
	* build/msvc_2k5/version.rc:

	Remove the MSVC build files

2009-07-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Force the final state inside ::completed

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:

	[build] Generate ChangeLog from the Git import

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/cogl/Makefile.am:
	* tests/conform/Makefile.am:
	* tests/interactive/Makefile.am:
	* tests/micro-bench/Makefile.am:

	[build] Use API_VERSION, not MAJORMINOR

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Remove explicit size of the Vertex arrays

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	[stage] Add a warning for :offscreen usage

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-backend-glx.c:

	[glx] Explicitly set the depth size for GLX visuals

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-shader-types.c:

	Convert gint to GLints in the Shader types wrapper

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-color.c:

	[color] Fix HLS to RGB colorspace conversion

2009-07-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-color.c:
	* tests/conform/test-conform-main.c:

	[tests] Add RGB<->HLS roundtrip test unit

2009-07-22  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/x11/clutter-x11-texture-pixmap.c:

	Always create the Damage object for ClutterX11TexturePixmap auto
	updates

2009-07-26  Michael Mortensen  <michael@f3k.org>

	* clutter/osx/clutter-event-osx.c:

	[osx] Update events to floating point coordinates

2009-07-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/osx/clutter-stage-osx.c:

	[osx] Implement StageWindow::show/::hide

2009-07-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Allow key navigation by word

2009-07-23  Geoff Gustafson  <geoff@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Queue a redraw when the selection is cleared

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-animation-tutorial.xml:
	* doc/reference/clutter/creating-behaviours.xml:

	[docs] Fix wrong XML elements

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/subclassing-ClutterActor.xml:

	[docs] Update the Actor subclassing documentation

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/Makefile.am:

	[build] Use per-target flags and libraries

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/creating-behaviours.xml:

	[docs] Update the "creating new behaviours" chapter

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/building-clutter.xml:

	[docs] Update the building instructions

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-animation-tutorial.xml:

	[docs] Update the animations tutorial

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:

	Fix copy-and-paste errors in the deprecation macros

2009-07-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/migrating-ClutterEffect.xml:

	[docs] Fix typo in the effects migration guide

2009-07-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:

	[docs] Improve the Units to and from string conversion

2009-07-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/cogl/Makefile.am:
	* doc/reference/cogl/cogl-sections.txt:

	[doc] Miscellaneous documentation fixes

2009-07-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-blend-string.c:
	* clutter/cogl/common/cogl-blend-string.h:

	[cogl] Make the blend string error domain public

2009-07-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Add test-materials

2009-07-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* doc/reference/clutter/clutter-sections.txt:

	Allow disabling motion event throttling

2009-07-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:
	* RELEASING:

	[docs] Move the releasing process to a separate file

2009-07-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* doc/reference/cogl/cogl-sections.txt:

	[doc] Remove references to cogl_vertex_buffer_delete_indices

2009-07-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gles/cogl-context.h:

	[cogl/gles] Fix missing symbols in CoglContext

2009-07-17  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/Makefile.am:

	Fix parallel build of introspection

2009-07-17  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/Makefile.am:
	* clutter/cogl/Makefile.am:
	* clutter/json/Makefile.am:

	Fix building introspection when dolt is not in use

2009-07-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Post-release bump to 0.9.9

2009-07-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[release] 0.9.8

2009-07-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:

	Update NEWS file

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Fix comments inside configure.ac

2009-07-17  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/x11/clutter-stage-x11.c:

	[stage] Force an allocation before showing the stage

2009-07-13  Marcos  <marcos.e.carranza@intel.com>

	* clutter/win32/clutter-stage-win32.c:

	[win32] Compilation fixes

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/osx/clutter-stage-osx.c:

	[osx] Enable motion event dispatch

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/osx/clutter-stage-osx.c:

	[osx] Remove old units macros

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* doc/reference/clutter/clutter-sections.txt:

	[actor] Allow querying whether we are painted by a Clone

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-private.h:
	* clutter/clutter-texture.c:

	Remove unused TEXTURE_IN_CLONE_PAINT private flag

2009-07-13  Xu Li  <xu.li@intel.com>

	* clutter/x11/clutter-stage-x11.c:

	[x11] update_wm_hints after unsetting WITHDRAWN

2009-07-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-backend-glx.c:
	* clutter/glx/clutter-backend-glx.h:

	[glx] Make the wait_for_vblank function private

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/glx/clutter-backend-glx.c:

	Call glFinish() before manually waiting for VBLANK

2009-07-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/Makefile.am:
	* tests/interactive/test-perspective.c:

	[tests] Remove test-perspective

2009-07-12  Evan Martin  <martine@danga.com>

	* HACKING:
	* clutter/cogl/cogl-path.h:
	* tests/README:

	[docs] Fix typos and remove mentions of SVN

2009-07-03  Jakub Higersberger  <ramarren@gmail.com>

	* clutter/clutter-animation.c:

	Use correct signal detail

2009-07-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	Small code clean up

2009-07-07  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl] Fix more brokeness with _cogl_material_equal

2009-07-09  pippin  <pippin@localhost.localdomain>

	* clutter/clutter-texture.c:

	serialize upload of asyncronously loaded textures

2009-07-09  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-master-clock.h:

	ensure next iteration

2009-07-04  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl] Fix drawing with sliced textures using material layer0
	overrides

2009-07-03  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-current-matrix.h:
	* clutter/cogl/common/cogl-matrix-stack.c:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-primitives.c:

	[cogl matrix stack] Create a client side matrix stack for the
	projection matrix

2009-07-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Add more (allow-none) annotations

2009-07-02  Colin Walters  <walters@verbum.org>

	* clutter/clutter-main.c:

	Use the (allow-none) annotation for clutter_init*

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Post-release bump to 0.9.7

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[release] 0.9.6

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:
	* README:

	[docs] Update the NEWS and README files

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-deprecated.h:

	[actor] Remove the unused get_allocation_coords()

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* doc/reference/clutter/clutter-sections.txt:

	[actor] Allow changing the transformations matrix

2009-07-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:

	Split the typdef to avoid confusing scanners

2009-06-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:

	[x11] Fix the race between resize and glViewport calls

2009-06-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl.c:

	Add debug notes for calls to glViewport()

2009-07-01  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-fbo.c:

	[cogl] cache the viewport width and height

2009-06-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-materials.c:

	[cogl] Ensure well defined semantics for COGL_INVALID_HANDLE
	material layers

2009-06-30  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'cogl-journal-batching'

2009-06-29  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl] Improve ability to break out into raw OpenGL via begin/end
	mechanism

2009-06-29  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:
	* clutter/eglnative/clutter-backend-egl.c:
	* clutter/eglx/clutter-backend-egl.c:
	* clutter/fruity/clutter-backend-fruity.c:
	* clutter/glx/clutter-backend-glx.c:
	* clutter/osx/clutter-stage-osx.c:
	* clutter/sdl/clutter-backend-sdl.c:
	* clutter/win32/clutter-backend-win32.c:
	* doc/reference/cogl/cogl-sections.txt:

	Adds a cogl_flush() to give developers breaking into raw GL a
	fighting chance

2009-06-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Be more carefull about flushing in
	cogl_material_remove_layer

2009-06-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-rectangle.c:

	Revert "[rectangle] Avoid modifying materials mid scene"

2009-06-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor.c:

	Revert "[actor] Avoid modifying materials mid-scene to improve
	journal batching"

2009-06-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	[cogl-vertex-buffer] Disable unused client tex coord arrays

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-primitives.c:

	[cogl] disable all client tex coord arrays in
	_cogl_add_path_to_stencil_buffer

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-primitives.c:

	[cogl] flush matrices in _cogl_add_path_to_stencil_buffer

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[journal] Don't resize a singlton VBO; create and destroy a VBO
	each flush

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-primitives.c:

	[cogl] avoid using the journal in
	_cogl_add_path_to_stencil_buffer

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/pango/cogl-pango-display-list.c:

	[pango-display-list] Use the Cogl journal for short runs of text

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[material] _cogl_material_equal: catch the simplest case of
	matching handles

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[material] avoid flushing the journal when just changing the
	color

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl journal] Perform software modelview transform on logged
	quads.

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[Cogl journal] use G_UNLIKLEY around runtime debugging conditions

2009-06-11  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl journal] Adds a --cogl-debug=batching option to trace
	batching

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-primitives.c:

	[Cogl journal] Adds a --cogl-debug=journal option for tracing the
	journal

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl.c:

	[cogl] Adds a debug option for disabling use of VBOs
	--cogl-debug=disable-vbos

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:

	[cogl] Force Cogl to always use the client side matrix stack

2009-06-05  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-debug.c:

	[cogl-debug] Adds a "client-side-matrices" Cogl debug option

2009-06-05  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-color.h:
	* clutter/cogl/common/cogl-color.c:
	* clutter/pango/cogl-pango-display-list.c:

	[cogl-color] Adds a cogl_color_equal() function

2009-06-04  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:

	[cogl material] optimize logging of material colors in the
	journal

2009-06-05  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-rectangle.c:

	[rectangle] Avoid modifying materials mid scene

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Avoid modifying materials mid-scene to improve journal
	batching

2009-06-10  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[journal] Always pad our vertex data as if at least 2 layers are
	enabled

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-clip-stack.c:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-primitives.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-program.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/eglnative/clutter-backend-egl.c:
	* clutter/eglx/clutter-backend-egl.c:
	* clutter/fruity/clutter-backend-fruity.c:
	* clutter/glx/clutter-backend-glx.c:
	* clutter/osx/clutter-stage-osx.c:
	* clutter/sdl/clutter-backend-sdl.c:
	* clutter/win32/clutter-backend-win32.c:

	[cogl] Improving Cogl journal to minimize driver overheads + GPU
	state changes

2009-06-30  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] fix load-async and load-data-async properties.

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-clip-stack.c:

	[clip-stack] Use signed integers while combining window space
	clip rectangles

2009-06-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:

	[cogl] Remove unused ctx->polygon_vertices array

2009-06-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:

	[cogl] Give the default (fallback) texture a format of
	RGBA_8888_PRE

2009-06-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	[cogl-texture] use the right format when downloading sliced
	textures from GL

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/test-blend-strings.c:
	* tests/conform/test-premult.c:
	* tests/conform/test-vertex-buffer-contiguous.c:
	* tests/conform/test-vertex-buffer-interleved.c:
	* tests/conform/test-vertex-buffer-mutability.c:

	[cogl] Adds cogl_read_pixels to replace direct use of
	glReadPixels

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-current-matrix.h:
	* clutter/cogl/common/cogl-matrix-stack.c:
	* clutter/cogl/common/cogl-matrix-stack.h:

	[cogl matrix] Adds ability to dirty state cached by the client
	matrix apis

2009-06-11  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-debug.h:
	* clutter/clutter-main.c:

	[debug] Adds a "nop-picking" clutter debug option to NOP
	_clutter_do_pick()

2009-06-16  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[cogl_polygon] fixes a buffer overrun and color format bug

2009-06-16  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-cogl-tex-getset.c:

	[test-cogl-tex-getset] Assume a premultiplied pixel format

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:

	[vertex-buffer] Add cogl_vertex_buffer_indices_get_type API

2009-06-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:

	[vertex-buffer] Remove the COGL_INDICES_TYPE_UNSIGNED_INT
	indicies type

2009-06-25  Damien Lespiau  <damien.lespiau@intel.com>

	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-defines.h.in:

	[cogl] Add COGL_HAS_GL and COGL_HAS_GLES

2009-06-25  Damien Lespiau  <damien.lespiau@intel.com>

	* clutter/clutter-actor.h:
	* clutter/clutter-color.h:

	[misc] Update headers #endif comments

2009-06-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-deprecated.h:
	* doc/reference/clutter/clutter-sections.txt:

	[actor] Remove unused clutter_actor_pick()

2009-06-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:

	Add more debug notes inside the master clock

2009-06-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update after the Input API changes

2009-06-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-docs.xml.in:
	* doc/reference/clutter/migrating-ClutterEffect.xml:

	[docs] Add an initial porting guide

2009-06-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[docs] Fix the ActorBox annotations

2009-06-24  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-shader.c:

	[test-shader] Fix some of the shaders to use premultiplied colors

2009-06-19  Tim Horton  <hortont@svn.gnome.org>

	* clutter/clutter-animation.c:

	Add element-type annotations for animate*v functions

2009-06-18  Ole André Vadla Ravnås  <ole.andre.ravnas@tandberg.com>

	* clutter/clutter-master-clock.c:

	[master clock] Fix MT safety issues

2009-06-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Revert to integer parameters in ::size-change

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Post-release bump to 0.9.5

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[release] 0.9.4

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:

	Update the NEWS file

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add new input-related accessors

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-behaviour-ellipse.h:
	* clutter/clutter-behaviour-rotate.c:
	* clutter/clutter-behaviour-rotate.h:
	* clutter/clutter-behaviour-scale.c:
	* clutter/clutter-behaviour-scale.h:
	* clutter/clutter-deprecated.h:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:
	* doc/reference/clutter/clutter-sections.txt:

	Remove the last few fixed-point entry points

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:
	* configure.ac:

	[x11] Simplify the XInput support

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:

	[x11] Add a command line switch for enabling XInput

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-devices.c:

	[tests] Remove unneeded g_type_init()

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-private.h:
	* clutter/x11/clutter-backend-x11.c:

	[backend] Do not store the stage manager singleton

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:

	[x11] Use _clutter_context_is_initialized()

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Allow checking initialization without side-effects

2009-06-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-event.c:
	* clutter/clutter-event.h:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-backend-x11.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-x11.h:
	* tests/interactive/test-devices.c:

	[input] Rework input device API

2009-06-15  Damien Lespiau  <damien.lespiau@intel.com>

	* clutter/cogl/gles/cogl-defines.h.in:
	* configure.ac:

	Public headers should not have #ifdefs relying on private defines

2009-06-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-backend.c:
	* clutter/clutter-event.c:
	* clutter/clutter-feature.c:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:
	* clutter/eglnative/clutter-event-egl.c:
	* clutter/fruity/clutter-backend-fruity.c:
	* clutter/fruity/clutter-fruity.c:
	* clutter/sdl/clutter-event-sdl.c:
	* clutter/win32/clutter-backend-win32.c:
	* clutter/win32/clutter-event-win32.c:
	* clutter/win32/clutter-stage-win32.c:
	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:

	Hide clutter_context_get_default()

2009-06-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Remove an unusued member from MainContext

2009-06-17  Matthew Allum  <mallum@openedhand.com>

	* clutter/glx/clutter-stage-glx.c:
	* configure.ac:
	* tests/interactive/test-devices.c:

	[XInput] Get XInput working again.

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:

	Do not use the --pkd switch for g-ir-scanner

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING.backends:

	[docs] Update the backends hacking reference

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	[docs] Update the release notes

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:

	[docs] Update the HACKING file

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:

	[introspection] Add --pkg switch pointing at Clutter

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	[stage] Remove an assertion

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-types.h:
	* doc/reference/clutter/clutter-sections.txt:

	Add more ActorBox utility methods

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter.doap:

	[doap] Add branches for past releases

2009-06-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-deprecated.h:
	* clutter/clutter-types.h:
	* doc/reference/clutter/clutter-sections.txt:

	Add accessors for the boxed types

2009-06-16  Colin Walters  <walters@verbum.org>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	Plug minor memory leak in cogl_vertex_buffer_submit_real

2009-06-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-easing.c:

	[tests] Beautify the bouncing actor

2009-06-15  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	[ClutterCairoTexture] Use the right component ordering when
	uploading data

2009-06-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	[cairo-texture] Clean up and whitespace fixes

2009-06-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* tests/interactive/test-easing.c:

	[animation] Rework animation chaining

2009-06-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Allow swapped/after signal variants

2009-06-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:
	* clutter/json/Makefile.am:
	* clutter/pango/Makefile.am:
	* tests/conform/Makefile.am:
	* tests/conform/test-clutter-rectangle.c:
	* tests/interactive/Makefile.am:
	* tests/micro-bench/Makefile.am:

	Disable single header inclusion for GLib

2009-06-11  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:

	Fix redraw queueing in the presence of cloning

2009-06-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* tests/conform/test-actor-invariants.c:
	* tests/conform/test-conform-main.c:

	[tests] Add unit for Clone behaviour

2009-06-11  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/glx/clutter-glx-texture-pixmap.c:
	* clutter/x11/clutter-x11-texture-pixmap.c:

	Fix handling of not-visible texture pixmaps

2009-06-14  Damien Lespiau  <damien.lespiau@intel.com>

	* .gitignore:

	[gitignore] ignore TAGS and new test

2009-06-12  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-cogl-tex-tile.c:

	[test-cogl-tex-tile] Fix breakages from ClutterFixed removal and
	timelines

2009-06-08  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[_cogl_texture_bitmap_prepare] use bitmap format for FORMAT_ANY +
	no alpha

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-cogl-tex-polygon.c:

	[tests] Fix the cogl_polygon() interactive test

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-cogl-vertex-buffer.c:

	[tests] Fix the VBO interactive test

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-paint-wrapper.c:

	[tests] Update test-actors (and clones)

2009-06-08  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl] Don't allow calling cogl_set_source_texture with an
	INVALID_HANDLE

2009-06-11  Robert Bragg  <robert@linux.intel.com>


	Bug 1406 - Handling of premultiplication in clutter

2009-06-11  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-texture.h:

	[cogl-texture docs] Improves the documentation of the
	internal_format args

2009-06-07  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-premult.c:

	[test-premult] Adds a unit test for texture upload
	premultiplication semantics

2009-06-07  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/cogl/cogl.h.in:
	* tests/interactive/test-depth.c:

	[fog] Document that fogging only works with opaque or unmultipled
	colors

2009-06-06  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/test-blend-strings.c:

	[test-blend-strings] Explicitly request RGBA_888 tex format for
	test textures

2009-06-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[premultiplication] Be more conservative with what data gets
	premultiplied

2009-06-07  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-bitmap-fallback.c:

	[bitmap] Fixes _cogl_bitmap_fallback_unpremult

2009-06-07  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-bitmap-fallback.c:

	[cogl-bitmap] Fix minor copy and paste error in
	_cogl_bitmap_fallback_premult

2009-05-09  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-texture.c:

	Avoid unnecesary unpremultiplication when saving to local data

2009-06-04  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-cairo-texture.c:

	Don't unpremultiply Cairo data

2009-05-09  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/pango/cogl-pango-display-list.c:
	* clutter/pango/cogl-pango-render.c:
	* tests/interactive/test-cogl-offscreen.c:

	Default to a blend function that expects premultiplied colors

2009-05-09  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/cogl/common/cogl-bitmap-fallback.c:
	* clutter/cogl/common/cogl-bitmap-pixbuf.c:
	* clutter/cogl/common/cogl-bitmap-private.h:
	* clutter/cogl/common/cogl-bitmap.c:

	Implement premultiplication for CoglBitmap

2009-05-09  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-texture.c:
	* clutter/glx/clutter-glx-texture-pixmap.c:
	* clutter/x11/clutter-x11-texture-pixmap.c:

	Use correct texture format for pixmap textures and FBO's

2009-05-09  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/cogl/cogl-color.h:
	* clutter/cogl/common/cogl-color.c:

	Add cogl_color_premultiply()

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/json/Makefile.am:

	[build] Fix distcheck for the json-glib internal copy

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>


	Bug 1637 - Master clock improvements

2009-06-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-binding-pool.c:

	[tests] Fix a segfault in the binding-pool test

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-text-cache.c:

	Change the paint forcing on the Text cache text

2009-06-11  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timelines] Improve marker hit check and don't fudge the delta

2009-04-24  Tommi Komulainen  <tko@litl.com>

	* clutter/clutter-stage.c:

	stage: set key focus actor to NULL before emitting focus-out

2009-06-11  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-timeline.c:
	* tests/conform/test-timeline-interpolate.c:

	Revert "[timeline] Don't clamp the elapsed time when a looping tl
	reaches the end"

2009-06-11  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:

	[tests] Don't add a newline to the end of g_test_message calls

2009-06-11  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-timeline.c:

	[test-timeline] Add a marker at the beginning of the timeline

2009-06-10  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-timeline.c:
	* tests/conform/test-timeline-interpolate.c:

	[timeline] Don't clamp the elapsed time when a looping tl reaches
	the end

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Do not leak the effective attributes

2009-06-10  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	[master-clock] Throttle if no redraw was performed

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[docs] Annotate fixed sized arrays

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update Clutter's API reference

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	Force a paint instead of calling clutter_redraw()

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:

	[build] Use top_srcdir instead of relative paths

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:
	* po/LINGUAS:

	[l10n] Add LINGUAS

2009-06-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-bitmap.h:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl-offscreen.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/cogl.h.in:
	* doc/reference/cogl/Makefile.am:
	* doc/reference/cogl/cogl-sections.txt:

	[docs] Various gtk-doc fixes for COGL

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* doc/reference/clutter/clutter-sections.txt:

	Fix clutter_redraw() to match the redraw cycle

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:

	Run the repaint functions inside the redraw cycle

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* tests/conform/test-conform-main.c:
	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:
	* tests/conform/test-timeline.c:

	Remove useless manual timeline ticking

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:
	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:
	* tests/conform/test-timeline.c:

	Move elapsed-time calculations into ClutterTimeline

2009-06-07  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-main.c:
	* clutter/clutter-master-clock.c:
	* clutter/clutter-master-clock.h:
	* clutter/clutter-stage.c:
	* tests/micro-bench/test-text-perf.c:
	* tests/micro-bench/test-text.c:

	Limit the frame rate when not syncing to VBLANK

2009-06-07  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-main.h:

	Decrease the main-loop priority of the frame cycle

2009-06-07  Owen W. Taylor  <otaylor@fishsoup.net>

	* tests/micro-bench/test-picking.c:

	Avoid motion-compression in test-picking test

2009-06-07  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-main.c:
	* clutter/clutter-main.h:
	* clutter/clutter-master-clock.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	Compress events as part of the frame cycle

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	Remove stage update idle and do updates from the master clock

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-master-clock.c:

	Call g_main_context_wakeup() when we start running timelines

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-master-clock.c:

	Remove unused msecs_delta member

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-timeline.c:

	Simplify timeout list handling for the master clock

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-main.c:
	* clutter/clutter-master-clock.c:

	Only advance the master clock before drawing a frame

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-event.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-units.c:
	* clutter/clutter-units.h:
	* clutter/eglnative/clutter-egl.h:
	* clutter/eglx/clutter-backend-egl.c:
	* clutter/eglx/clutter-eglx.h:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Various gtk-docs fixes

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/test-clutter-cairo-flowers.c:
	* tests/interactive/test-events.c:
	* tests/interactive/test-fullscreen.c:
	* tests/interactive/test-perspective.c:

	[stage] Rename fullscreen methods

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/sdl/clutter-stage-sdl.c:
	* clutter/x11/clutter-stage-x11.c:
	* tests/interactive/test-events.c:
	* tests/interactive/test-fullscreen.c:
	* tests/interactive/test-perspective.c:

	[stage] Rename :fullscreen to :fullscreen-set

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Update the experimental features checks

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-script.c:
	* clutter/json/json-array.c:
	* clutter/json/json-generator.c:
	* clutter/json/json-node.c:
	* clutter/json/json-object.c:
	* clutter/json/json-parser.c:
	* clutter/json/json-types-private.h:
	* clutter/json/json-types.h:

	[json] Update the internal JSON-GLib copy

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/cogl/Makefile.am:

	[introspection] Add --c-include to g-ir-scanner

2009-06-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* build/autotools/Makefile.am:

	[build] Add as-compiler-flag.m4 to the dist

2009-06-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[CoglTexture] Initialise tex->first_pixels to NULL in all
	constructors

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Fix unitialized first_pixels for foreign textures

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:

	On bad blend strings, print the error if not returning it

2009-06-08  Garry Bodsworth  <gjb@camvine.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Fix for new potential memory leak in ClutterGLXTexturePixmap.

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-timeline.c:

	Properly adjust msecs_delta when clamping elapsed time

2009-06-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Keep a reference during notify::alpha

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter-event.c:
	* clutter/clutter-event.h:
	* clutter/clutter-text.c:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-pixmap.c:
	* tests/interactive/test-threads.c:

	introspection-friendly ClutterEvent accessors

2009-06-08  Garry Bodsworth  <gjb@camvine.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	[glx-texture-pixmap] Unref a cogl texture handle.

2009-06-08  Garry Bodsworth  <gjb@camvine.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Fix memory leak in ClutterGLXTexturePixmap.

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Straighten out 'realize' handling for ClutterGLXTexturePixmap

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-stage.c:
	* clutter/eglnative/clutter-stage-egl.c:
	* clutter/eglx/clutter-stage-egl.c:
	* clutter/fruity/clutter-stage-fruity.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/osx/clutter-stage-osx.c:
	* clutter/sdl/clutter-stage-sdl.c:
	* clutter/win32/clutter-stage-win32.c:
	* clutter/x11/clutter-x11-texture-pixmap.c:

	Remove unnecessary setting of CLUTTER_ACTOR_REALIZED flag

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:

	Be more tolerant about natural_width < min_width

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-group.c:

	Use double temporaries when computing group size

2009-06-06  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:

	Handle a clone of an actor with an unmapped parent

2009-06-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-timeline.c:

	[tests] Clarify the numbers

2009-06-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-events.c:

	[tests] The ::focus-in signal was renamed ::key-focus-in

2009-06-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* build/autotools/as-compiler-flag.m4:
	* configure.ac:

	[build] Add AS_COMPILER_FLAGS

2009-06-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-stage-x11.c:

	[x11] Do not forcibly set the stage size on fullscreen

2009-06-08  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/Makefile.am:

	[build] Search for Cogl GIR in the right place

2009-06-06  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/test-blend-strings.c:

	[test-blend-strings] Fix a silly off by one that meant the test
	couldn't fail

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:
	* tests/interactive/test-texture-async.c:

	[texture] Fix error reporting on ::load-finished

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:

	[units] Always recompute pixels

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Remove -Werror for the maintainer cflags

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-units.c:

	Fixes for some compiler warnings

2009-06-05  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:

	[actor] get_transformed_position(): initialize Z value

2009-06-05  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-timeline.c:

	Fix stopping a timeline

2009-06-03  Johan Bilien  <jobi@via.ecp.fr>

	* clutter/cogl/common/cogl-material.c:

	Fix the leak of the GList of layers in CoglMaterial

2009-06-03  Bastian Winkler  <buz@netbuz.org>

	* clutter/clutter-animation.c:

	Broken fixed:: arguments

2009-06-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Check for libXext

2009-06-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-display-list.c:
	* clutter/pango/cogl-pango-display-list.h:
	* clutter/pango/cogl-pango-render.c:

	[CoglPangoDisplayList] Don't store the base color in the display
	list

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	[repaint] Run the repaint functions in clutter_redraw()

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	[docs] Update README

2009-04-04  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl] cogl_material_set_layer does nothing if resetting the same
	texture

2009-05-22  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/test-conform-main.c:

	[test-conformance] we were calling clutter_init with
	un-initialized arguments

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-blend-string.c:

	[build] Fix compiler warnings

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	Fix a compiler warning

2009-06-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	[ClutterActor] Fix check for zero opacity when being painted from
	a clone

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Add all dependencies for pkg-config

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch '1.0-integration'

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-event-x11.c:
	* configure.ac:

	[x11] Disable XInput by default

2009-06-05  Neil Roberts  <neil@linux.intel.com>


	Merge branch 'timeline-no-fps' into 1.0-integration

2009-06-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:

	[xinput] Invert the XI extension version check

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[cogl-primitives] Fix an unused variable warning when building
	GLES

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/eglx/clutter-stage-egl.c:

	[clutter-stage-egl] Pass -1,-1 to
	clutter_stage_x11_fix_window_size

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:

	Update the GLES backend to have the layer filters in the material

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-shader.c:

	[gles/cogl-shader] Add a missing semicolon

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/glx/clutter-glx-texture-pixmap.c:
	* clutter/pango/cogl-pango-glyph-cache.c:
	* clutter/pango/cogl-pango-glyph-cache.h:
	* clutter/pango/cogl-pango-render.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/test-backface-culling.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:

	[cogl] Move the texture filters to be a property of the material
	layer

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Fix Pango unit to pixels conversion

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Force unrealization on destroy only for non-toplevels

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-stage-window.h:
	* clutter/clutter-stage.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:
	* clutter/x11/clutter-stage-x11.h:

	[x11] Rework map/unmap and resizing

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-backend-x11.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.h:
	* configure.ac:

	[xinput] Check for the XInput entry points

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:

	[units] Validate units against the ParamSpec

2009-06-04  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-marshal.list:

	[actor] Add the ::allocation-changed signal

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-clone.c:
	* clutter/clutter-group.c:
	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-text.c:
	* clutter/clutter-texture.c:
	* clutter/osx/clutter-stage-osx.c:
	* clutter/sdl/clutter-stage-sdl.c:
	* clutter/win32/clutter-stage-win32.c:
	* clutter/x11/clutter-stage-x11.c:
	* tests/interactive/test-layout.c:

	[actor] Use flags to control allocations

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* clutter/clutter-actor.c:
	* clutter/clutter-units.c:
	* clutter/clutter-units.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/conform/Makefile.am:
	* tests/conform/test-clutter-units.c:
	* tests/conform/test-conform-main.c:
	* tests/interactive/test-text-field.c:

	[units] Rework Units into logical distance value

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Remove a stray g_value_get_int()

2009-06-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-interval.c:
	* clutter/clutter-text.c:
	* clutter/x11/clutter-stage-x11.c:
	* tests/conform/test-anchors.c:
	* tests/conform/test-binding-pool.c:
	* tests/interactive/test-animation.c:
	* tests/interactive/test-binding-pool.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-project.c:
	* tests/interactive/test-text-field.c:

	Remove usage of Units and macros

2009-06-03  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Allow setting a layer with an invalid texture
	handle

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-alpha.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-timeline-dup-frames.c:
	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:
	* tests/conform/test-timeline-smoothness.c:
	* tests/conform/test-timeline.c:
	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-behave.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-primitives.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:
	* tests/interactive/test-cogl-vertex-buffer.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-multistage.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-pixmap.c:
	* tests/interactive/test-rotate.c:
	* tests/interactive/test-scale.c:
	* tests/interactive/test-score.c:
	* tests/interactive/test-texture-async.c:
	* tests/interactive/test-texture-quality.c:
	* tests/interactive/test-threads.c:
	* tests/interactive/test-viewport.c:

	[timeline] Remove the concept of frames from timelines

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-shader.c:

	[gles/cogl-shader] Fix parameter spec for
	cogl_shader_get_info_log

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/win32/clutter-stage-win32.c:

	[clutter-stage-win32] Call clutter_actor_map instead of setting
	the flags

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/win32/clutter-event-win32.c:

	[clutter-event-win32] Fix the argument types to
	clutter_actor_get_size

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl.c:

	Load glBlendEquation and glBlendColor using cogl_get_proc_address

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/common/cogl-current-matrix.c:

	Rename 'near' and 'far' variables to 'z_near' and 'z_far'

2009-06-04  Neil Roberts  <neil@linux.intel.com>

	* README:
	* configure.ac:

	[configure] Require pango 1.20 instead of 1.18

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Unrealize on destroy

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:

	Revert commit 762873e7

2009-06-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:

	[master clock] Avoid excessive redraws

2009-06-02  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	[cogl-texture] Don't take ownership of the data in
	cogl_texture_new_from_bitmap

2009-06-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* tests/conform/Makefile.am:
	* tests/conform/test-color.c:
	* tests/conform/test-conform-main.c:

	[tests] Add ClutterColor conformance tests

2009-06-01  Robert Staudinger  <robsta@gnome.org>

	* clutter/clutter-color.c:

	[color] Add support for the "#rgba" color format

2009-06-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* configure.ac:
	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-docs.xml.in:
	* doc/reference/clutter/version.xml.in:
	* doc/reference/cogl/Makefile.am:
	* doc/reference/cogl/cogl-docs.xml:
	* doc/reference/cogl/cogl-docs.xml.in:
	* doc/reference/cogl/version.xml.in:

	[docs] Rework the API reference version generation

2009-06-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-shader.c:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/gl/cogl-shader.c:
	* clutter/cogl/gles/cogl-shader.c:

	[cogl-shader] Make get_info_log() slightly nicer

2009-06-01  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:

	Use GL_QUADS for flushing a quad batch

2009-06-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:

	[introspection] Remove Cogl symbols from Clutter GIR

2009-05-30  Marc-André Lureau  <marcandre.lureau@gmail.com>

	* clutter/Makefile.am:

	build: don't double install clutter-version.h

2009-06-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[git ignore] Add report XML output file

2009-05-31  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-interval.c:
	* tests/conform/Makefile.am:
	* tests/conform/test-anchors.c:
	* tests/conform/test-binding-pool.c:
	* tests/interactive/test-animation.c:
	* tests/interactive/test-clutter-cairo-flowers.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:
	* tests/interactive/test-easing.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-multistage.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-rotate.c:
	* tests/interactive/test-shader.c:

	Uniformly use floats in Actor properties

2009-05-31  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Increase verbosity of error messages

2009-05-31  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[docs] Remove misleading text

2009-05-29  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-display-list.c:

	[pango-display-list] Use the CoglAttributeType macros instead of
	GL_FLOAT

2009-05-29  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-display-list.c:

	[pango-display-list] Use indexed vertices on GLES

2009-05-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl-vertex-buffer] Add cogl_vertex_buffer_indices_get_for_quads

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* doc/reference/clutter/clutter-sections.txt:

	[actor] Add allocate_available_size()

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:

	[build] Remove cogl-enum-types.h on distclean

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:
	* clutter/cogl/common/Makefile.am:

	[build] Fix dist issues

2009-05-28  Jonas Bonn  <jonas@southpole.se>

	* clutter/clutter-animation.c:

	Freeze notifiers around property setters

2009-05-28  Jonas Bonn  <jonas@southpole.se>

	* clutter/clutter-animation.c:

	[animation] Final cleanups to new Animation model

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:

	[master clock] Use StageManager::peek_stages()

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage-manager.c:
	* clutter/clutter-stage-manager.h:

	[stage manager] Add peek_stages()

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:

	[master clock] Handle Timeline::started signal correctly

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/Makefile.am:

	[build] Copy cogl-enum-types.h under the guard

2009-05-29  Neil Roberts  <neil@linux.intel.com>

	* configure.ac:

	[configure] Always execute the AM_CONDITIONAL call for X11_TESTS

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:

	[build] Encode the target into the backend library

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-enum-types.c.in:
	* clutter/cogl/common/cogl-enum-types.c.in:

	Use g_once when registering enumeration types

2009-05-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* clutter/cogl/Makefile.am:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-enum-types.c.in:
	* clutter/cogl/common/cogl-enum-types.h.in:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/gl/Makefile.am:

	[cogl] Generate enumeration GTypes

2009-05-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.h:
	* clutter/clutter-animation.c:
	* clutter/clutter-container.h:
	* clutter/clutter-main.h:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/cogl.h.in:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/cogl/cogl-sections.txt:

	[docs] Fixes for the API reference

2009-05-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[git ignore] Add blend strings test

2009-05-28  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'master' into 1.0-integration

2009-05-28  Neil Roberts  <neil@linux.intel.com>

	* tests/micro-bench/test-text-perf.c:

	[test-text-perf] Use queue_redraw instead of painting the stage
	directly

2009-05-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:

	[cogl] Make cogl_setup_viewport() a private function

2009-05-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-deprecated.h:

	[cogl deprecated] Add backface culling deprecation

2009-05-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[cogl vertex buffers] Give indices a CoglHandle so they are
	shareable

2009-05-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	[cogl journal] If we are only flushing one quad use a
	TRIANGLE_FAN

2009-05-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-deprecated.h:

	[deprecated defines] Adds some missing cogl_texture_* deprecated
	defines

2009-05-26  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/cogl/cogl-deprecated.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/test-backface-culling.c:

	[cogl] renamed cogl_enable_* to cogl_set_*_enabled + added
	getters

2009-05-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-matrix-stack.c:
	* clutter/cogl/common/cogl-matrix-stack.h:
	* clutter/cogl/common/cogl-matrix.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl matrix] Support ortho and perspective projections.

2009-05-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl.h.in:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gles/cogl-context.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl] Remove cogl_{create,destroy}_context from the public API

2009-05-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[vbo indices] tweak add_indices api to return an id and add
	delete_indices api

2009-05-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[cogl-vertex-buffer] Seal GL types from the public API

2009-05-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[cogl-vertex-buffers] Support putting index arrays into VBOS

2009-05-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:

	[cogl] Remove cogl_flush_gl_state from the API

2009-05-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* doc/reference/cogl/cogl-sections.txt:

	[material] Reduce the material API in preperation for releasing
	Clutter 1.0

2009-05-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/pango/cogl-pango-render.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl-material] Removes all the API made redundant by the blend
	strings API

2009-05-11  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-blend-string.c:
	* clutter/cogl/common/cogl-blend-string.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-texture.c:
	* doc/reference/cogl/Makefile.am:
	* doc/reference/cogl/blend-strings.xml:
	* doc/reference/cogl/cogl-docs.xml:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/Makefile.am:
	* tests/conform/test-blend-strings.c:
	* tests/conform/test-conform-main.c:

	[cogl-material] Support string based blending and layer combine
	descriptions

2009-05-27  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* tests/conform/test-conform-main.c:

	[build] Fixes some compiler warnings when building for GLES 2

2009-05-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Simplify the Animation code

2009-05-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animatable.c:
	* clutter/clutter-animatable.h:
	* clutter/clutter-animation.c:

	[animatable] Allow validation in ::animate_property

2009-05-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Proxy properties whenever possible

2009-05-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Defer the timeline handling to the Alpha

2009-05-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Decouple COGL debug level from Clutter's

2009-05-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter.doap:

	[doap] Update

2009-05-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] More spring clean fixes

2009-05-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Spring cleanup of configure.ac

2009-05-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-backend-glx.c:
	* clutter/glx/clutter-glx-texture-pixmap.c:

	Use GLib variant of strcasecmp()

2009-05-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/pango/Makefile.am:

	[build] Clean up cogl-pango Makefile

2009-05-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/glx/clutter-glx-texture-pixmap.c:
	* clutter/pango/cogl-pango-glyph-cache.c:
	* tests/conform/test-backface-culling.c:
	* tests/conform/test-npot-texture.c:
	* tests/conform/test-vertex-buffer-contiguous.c:
	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-cogl-tex-convert.c:
	* tests/interactive/test-cogl-tex-getset.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:

	[cogl] Remove max_waste argument from Texture ctors

2009-03-30  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-main.h:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	Add repaint functions

2009-05-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[git ignore] Add test-text-perf

2009-05-22  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] In paint when opacity == 0, clear the queued_redraw flag

2009-05-22  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'master' into 1.0-integration

2009-05-22  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	[cogl-vertex-buffer] Ensure the clip state before rendering

2009-05-22  Damien Lespiau  <damien.lespiau@intel.com>

	* clutter/clutter-marshal.list:
	* clutter/clutter-texture.c:

	[texture] size-change closure is now VOID:FLOAT,FLOAT

2009-05-21  Neil Roberts  <neil@linux.intel.com>

	* tests/micro-bench/test-text-perf.c:

	[test-text-perf] Small fix-ups

2008-11-23  Owen W. Taylor  <otaylor@fishsoup.net>

	* tests/micro-bench/Makefile.am:
	* tests/micro-bench/test-text-perf.c:

	Add a test for text performance

2009-05-21  Neil Roberts  <neil@linux.intel.com>


	Merge branch 'pango-vbo' into 1.0-integration

2009-05-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-display-list.c:

	[cogl-pango-display-list] Use GL_TRIANGLES under GLES

2009-05-21  Robert Bragg  <robert@linux.intel.com>

	* configure.ac:

	[build] Ensure that cogl-debug is disabled by default

2009-05-21  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-internal.h:

	[build] The cogl GE macro wasn't passing an int according to the
	format string

2009-05-07  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Use the right internal format for GL_ARB_texture_rectangle

2009-05-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor_paint] Ensure painting is a NOP for actors with opacity =
	0

2009-05-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-vertex-buffer.c:

	Make backface culling work with vertex buffers

2009-05-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-render.c:

	[pango-render] Keep a reference to the first line to detect
	layout changes

2009-05-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-render.c:

	[cogl-pango-render] Fix the positioning when calling
	cogl_pango_render_layout

2009-05-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Use a box instead of int coordinates

2009-05-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Do not try to dereference NULL data

2009-05-20  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge commit 'origin/master' into 1.0-integration

2009-05-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-model.h:

	Add more padding in Model and ModelIter classes

2009-05-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	[cogl] Do no include gprintf.h

2009-05-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-internal.h:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:
	* configure.ac:

	[cogl] Move debugging to a configure-time switch

2009-05-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-internal.h:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl] Rework the debug messages

2009-05-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gl/cogl-internal.h:
	* clutter/cogl/gles/Makefile.am:
	* clutter/cogl/gles/cogl-internal.h:

	Remove duplicate cogl-internal.h header

2009-05-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:
	* doc/reference/clutter/clutter-sections.txt:

	[texture] Add missing accessors

2009-05-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-internal.h:
	* clutter/cogl/common/cogl.c:

	[cogl] Rework the GL-error-to-string conversion

2009-05-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Add more gtk-doc droppings

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:

	[build] Link Cogl against -lm

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/Makefile.am:

	[build] List cogl-internal.h

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Do not leak timelines

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:

	[text] Expose position_to_coords()

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:

	[text] Add ClutterText::delete_selection()

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Remove InitiallyUnowned from Animation

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter.types:

	[docs] Add Animation get_type() function

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[docs] Document the destructor for Timeline

2009-05-14  Dan Winship  <danw@gnome.org>

	* clutter/clutter-cairo-texture.c:
	* clutter/clutter-cairo-texture.h:

	[cairo-texture] Document redrawing behavior

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] fix problems with scrolling interaction

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] scroll to the cursor position if it is outside the
	allocation

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] account for scrolling in text selections

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] account for scrolling in clutter_text_position_to_coords

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] take scrolling into account when calculating cursor
	position

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] position the cursor correctly in single line mode

2009-05-14  Thomas Wood  <thomas.wood@intel.com>

	* clutter/clutter-text.c:

	[text] take text padding into account when in single line mode

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text-field.c:

	[tests] Verify cursor position

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Maintain the cursor at the end when deleting

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Reset the cursor when setting empty text

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:

	[build] Fix with --disable-introspection

2009-05-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* tests/conform/Makefile.am:

	[build] Do not rebuild the conformance tests scripts

2009-05-13  Owen W. Taylor  <otaylor@redhat.com>

	* .gitignore:
	* clutter/Makefile.am:
	* clutter/cogl/Makefile.am:

	Don't build Cogl.gir against installed Clutter library

2009-05-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Return the correct minimum height

2009-05-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-backend.h:
	* clutter/clutter-private.h:
	* clutter/glx/clutter-backend-glx.c:
	* clutter/glx/clutter-stage-glx.c:

	[backend] Abstract the GL context creation

2009-05-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.h:

	Update the redraw priority

2009-05-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-backend-glx.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-backend-x11.h:
	* clutter/x11/clutter-stage-x11.c:

	[x11] Abstract XVisualInfo creation

2009-05-13  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Ensure clutter_text_get_selection copes with start/end
	positions of -1

2009-05-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/micro-bench/test-picking.c:

	[tests] Add command line option to the picking test

2009-05-10  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-list-model.c:

	Fix chain-up in clutter_list_model_dispose()

2009-05-12  Chris Lord  <chris@linux.intel.com>

	* tests/micro-bench/Makefile.am:
	* tests/micro-bench/test-picking.c:

	[tests/micro-bench] Add a picking performance test

2009-05-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-main.c:

	[picking] Use cogl_clip_push_window_rect to greatly reduce the
	cost of picking.

2009-05-08  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-clip-stack.c:
	* clutter/cogl/common/cogl.c:

	[cogl-clip-stack] Support pushing rectangles onto the stack using
	window coords

2009-05-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:

	Don't clear the stencil buffer before painting and picking

2009-05-12  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-shader-types.c:
	* clutter/clutter-shader-types.h:
	* clutter/clutter-shader.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl-program.c:
	* clutter/cogl/gl/cogl-shader.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-program.c:
	* clutter/cogl/gles/cogl-shader.c:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/glx/clutter-glx-texture-pixmap.c:
	* clutter/pango/cogl-pango-glyph-cache.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:

	[cogl] Remove the COGL{enum,int,uint} typedefs

2009-05-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-texture.c:

	[ClutterTexture] Remove a spurious line I accidentally committed
	in 741c4bb5

2009-05-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-main.c:

	Don't call glFinish in _clutter_do_pick

2009-05-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/Makefile.am:

	[build] Fix out-of-tree builds for Cogl

2009-05-07  Raymond Liu  <raymond.liu@intel.com>

	* clutter/clutter-stage.c:

	Emit key focus signal when stage state changes

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-stage-x11.c:

	[x11] Unset the GL context when re-realizing

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/x11/clutter-stage-x11.c:

	Add more debugging notes

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:

	[backend] Unset the current stage if it is unrealized

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	[stage] Chain up ::show before showing the implementation

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-stage-glx.c:

	[x11] Do not needlessly check XVisualInfo

2009-05-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Conditionally verify the map state

2009-05-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:

	[build] Unbreak compilation

2009-05-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-stage.c:
	* clutter/glx/clutter-backend-glx.c:

	Tentative fix for multi-stage support on GLX

2009-05-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Relax some of the invariants checks

2009-05-08  Rob Bradford  <rob@linux.intel.com>

	* clutter/clutter-list-model.c:

	[list-model] Return NULL for first row in a fully filtered model

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	[stage] Chain up to the correct vfunc when picking

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[debug] Show the actor name/type on queue_redraw()

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-master-clock.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:

	[clock] Rework the master clock

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-group.c:

	[group] Implement pick

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Do not leak timelines

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text-field.c:

	[tests] Check em to unit conversion

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[script] Allow parsing units in em

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-private.h:
	* clutter/clutter-units.c:
	* clutter/clutter-units.h:

	Allow specifying the font for the em conversion

2009-05-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	Fix remaining ::focus-in signal emission

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:

	[x11] Use -1 as the default screen guard

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/Makefile.am:

	[build] Build Cogl introspection data

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/Makefile.am:

	[build] Clean up the makefile

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-bitmap.h:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-defines.h.in:

	Fix inclusion guards and headers

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update documentation

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-stage.c:

	[actor] Rename focus-in and focus-out signals

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:

	[text] Expose position_to_coords()

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:

	[text] Add ClutterText::delete_selection()

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Remove InitiallyUnowned from Animation

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-animation.c:
	* clutter/clutter-backend.c:
	* clutter/clutter-behaviour.c:
	* clutter/clutter-cairo-texture.c:
	* clutter/clutter-clone.c:
	* clutter/clutter-deprecated.h:
	* clutter/clutter-event.c:
	* clutter/clutter-event.h:
	* clutter/clutter-group.c:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-text.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-types.h:
	* clutter/eglnative/clutter-stage-egl.c:
	* clutter/fruity/clutter-stage-fruity.c:
	* clutter/osx/clutter-stage-osx.c:
	* clutter/sdl/clutter-stage-sdl.c:
	* clutter/win32/clutter-stage-win32.c:
	* clutter/x11/clutter-stage-x11.c:
	* tests/conform/test-anchors.c:
	* tests/conform/test-timeline-dup-frames.c:
	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:
	* tests/conform/test-timeline-smoothness.c:
	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-animation.c:
	* tests/interactive/test-clutter-cairo-flowers.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-easing.c:
	* tests/interactive/test-fullscreen.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-project.c:
	* tests/interactive/test-stage-read-pixels.c:
	* tests/interactive/test-unproject.c:

	Remove Units from the public API

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter.types:

	[docs] Add Animation get_type() function

2009-05-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[docs] Document the destructor for Timeline

2009-05-05  Rob Bradford  <rob@linux.intel.com>

	* clutter/clutter-list-model.c:
	* clutter/clutter-model-private.h:
	* clutter/clutter-model.c:

	[model] Add a private row mutator to ClutterModelIter

2009-05-05  Rob Bradford  <rob@linux.intel.com>

	* clutter/clutter-list-model.c:

	[list-model] Use an internal iterator for comparisons

2009-05-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	[actor] Add ActorFlags accessor methods

2009-05-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Add the :realized property

2009-05-01  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Adds a cogl_material_set_color4f convenience
	function

2009-04-30  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-offscreen.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-texture.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/interactive/test-cogl-offscreen.c:

	[cogl-offscreen] Cleans up the cogl offscreen API and adds
	documentation

2009-02-20  Havoc Pennington  <hp@pobox.com>

	* clutter/cogl/cogl-offscreen.h:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-fbo.c:

	add cogl_push_draw_buffer() and cogl_pop_draw_buffer()

2009-04-30  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-bitmap.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-bitmap-fallback.c:
	* clutter/cogl/common/cogl-bitmap-pixbuf.c:
	* clutter/cogl/common/cogl-bitmap-private.h:
	* clutter/cogl/common/cogl-bitmap.c:
	* clutter/cogl/common/cogl-bitmap.h:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/Makefile.am:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl] Only expose CoglBitmap as a CoglHandle

2009-04-29  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] make _cogl_material_layer_free check for an
	invalid texture handle

2009-04-27  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-color.h:
	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/cogl-deprecated.h:
	* clutter/cogl/cogl-fixed.h:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl-offscreen.h:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/cogl-shader.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-bitmap-fallback.c:
	* clutter/cogl/common/cogl-bitmap-pixbuf.c:
	* clutter/cogl/common/cogl-bitmap.c:
	* clutter/cogl/common/cogl-clip-stack.c:
	* clutter/cogl/common/cogl-clip-stack.h:
	* clutter/cogl/common/cogl-color.c:
	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-current-matrix.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-fixed.c:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-internal.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-matrix-stack.c:
	* clutter/cogl/common/cogl-matrix-stack.h:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-primitives.h:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/common/cogl-util.h:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gl/cogl-fbo.h:
	* clutter/cogl/gl/cogl-internal.h:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-program.c:
	* clutter/cogl/gl/cogl-program.h:
	* clutter/cogl/gl/cogl-shader-private.h:
	* clutter/cogl/gl/cogl-shader.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-fbo.h:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-internal.h:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-program.c:
	* clutter/cogl/gles/cogl-program.h:
	* clutter/cogl/gles/cogl-shader-private.h:
	* clutter/cogl/gles/cogl-shader.c:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl-util.c:
	* clutter/cogl/gles/cogl-util.h:
	* clutter/cogl/gles/cogl.c:
	* clutter/cogl/gles/stringify.sh:

	[cogl] Updates all file headers and removes lots of trailing
	white space

2009-04-24  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl.c:

	[cogl] Adds a bitfield argument to cogl_clear for specifying
	which buffers to clear

2009-04-30  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-timeline.c:

	Accumulate small deltas

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-timeline-dup-frames.c:
	* tests/conform/test-timeline-interpolate.c:
	* tests/conform/test-timeline-rewind.c:
	* tests/conform/test-timeline-smoothness.c:
	* tests/conform/test-timeline.c:

	[tests] Manually advance the timelines

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-master-clock.c:
	* clutter/clutter-private.h:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:

	[timeline] Expose the msec advancement

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-actor-clone.c:

	[tests] Verify that Clone can paint hidden sources

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Ignore the new invariants units

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-clone.c:
	* clutter/clutter-private.h:

	[clone] Allow painting hidden source actors

2009-05-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Use foreach_with_internals()

2009-04-30  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[ClutterTexture] Check before unrefing the fbo_handle

2009-04-30  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[ClutterTexture] Attach the FBO texture to a layer in the
	material

2009-04-30  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-event.c:

	[events] Added handling of missing type to
	clutter_event_get_state

2009-03-25  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/Makefile.am:
	* clutter/pango/cogl-pango-display-list.c:
	* clutter/pango/cogl-pango-display-list.h:
	* clutter/pango/cogl-pango-render.c:

	Render pango layouts with vertex buffers

2009-04-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Update with the new Model test

2009-04-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add ClutterModel::get_filter_set()

2009-04-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-conform-main.c:
	* tests/conform/test-model.c:

	[tests] Exercise the Model filtering

2009-04-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-list-model.c:
	* clutter/clutter-model.c:
	* clutter/clutter-model.h:

	[model] Rework Model behaviour with a filter

2009-04-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-model.c:
	* clutter/clutter-model.h:

	[model] Add :filter-set

2009-04-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:
	* tests/conform/test-text-cache.c:

	[ClutterText] Fix actors with a width but no wrapping and the
	wrap modes

2009-02-27  Owen W. Taylor  <otaylor@redhat.com>

	* clutter/clutter-clone.c:

	[clone] Redraw when the source changes

2009-03-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-main.c:
	* clutter/clutter-master-clock.c:
	* clutter/clutter-master-clock.h:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-timeline.c:

	Use a single master "clock" to drive timelines

2009-04-08  Johan Bilien  <jobi@litl.com>

	* clutter/clutter-actor.c:

	Relinquish the focus when unmapped while owning it

2009-04-02  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-group.c:
	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:
	* clutter/eglnative/clutter-stage-egl.c:
	* clutter/eglx/clutter-stage-egl.c:
	* clutter/fruity/clutter-fruity.c:
	* clutter/fruity/clutter-stage-fruity.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/sdl/clutter-stage-sdl.c:
	* clutter/win32/clutter-stage-win32.c:
	* clutter/x11/clutter-stage-x11.c:
	* doc/clutter-actor-invariants.txt:
	* tests/conform/test-actor-invariants.c:
	* tests/conform/test-conform-main.c:

	Enforce invariants on mapped, realized, visibility states

2009-04-24  Johan Bilien  <jobi@via.ecp.fr>

	* clutter/cogl/gl/cogl-fbo.c:

	Unnecessary glColorMask on alpha drops performance

2009-04-24  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-private.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/conform/test-pick.c:
	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-project.c:
	* tests/interactive/test-unproject.c:

	Allow passing the pick mode to get_actor_at_pos()

2009-04-24  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-stage-x11.c:

	[x11] Use XWithdrawWindow()

2009-03-23  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-container.c:
	* clutter/clutter-container.h:

	Add ClutterContainer::foreach_with_internals()

2009-04-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:

	[docs] Increase verbosity for commit messages

2009-04-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:

	[alpha] Sanitize easing equations

2009-04-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/x11/clutter-x11-texture-pixmap.c:

	[x11-texture-pixmap] Fixes a reported lockup due to an
	undesireable X server grab

2009-04-02  Emmanuele Bassi  <ebassi@gnome.org>

	* clutter/clutter-text.c:

	[text] Avoid a Pango warning with empty markup

2009-03-27  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-pick.c:

	[test-pick] Improve to include a covering actor

2009-04-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-text-cache.c:

	[tests] Disable a subtest of the Text cache unit

2009-04-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Emit ::cursor-event only on changes

2009-04-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text-field.c:

	[tests] Visually verify ellipsization

2009-04-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Return the correct minimum height

2009-04-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Limit the Layout width

2009-04-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl.c:

	[gl/cogl.c] #include <gmodule.h> for OS X builds

2009-04-15  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gles/cogl.c:

	[cogl vertex buffers] Adds fallbacks for drivers without VBO
	support

2009-04-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl debug] --cogl-debug=rectangles now outlines all cogl
	rectangles

2009-04-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/glx/Makefile.am:
	* clutter/x11/Makefile.am:

	Use $(MAINTAINER_CFLAGS) in clutter/{x11,glx}/Makefile.am

2009-04-16  Bastian Winkler  <buz@netbuz.org>

	* clutter/clutter-path.c:

	Prevent a possible zero division

2009-04-16  Chris Lord  <chris@linux.intel.com>

	* clutter/clutter-text.c:

	[ClutterText] Return 1 for min width when editable

2009-04-15  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'text-actor-layout-height'

2009-04-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	[stage] Warn if perspective's z_far - z_near is 0

2009-04-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-debug.h:
	* clutter/clutter-main.c:

	Add debug annotations for the layout process

2009-04-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Do not ellipsize non-editable layouts

2009-04-15  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:

	[clutter-text] Fix ellipsizing

2009-04-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/json/json-parser.c:

	[json] Avoid leaks on error code paths

2009-04-08  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-group.h:

	[group] avoid double evaluation of arguments in clutter_group_add

2009-04-07  Neil Roberts  <neil@linux.intel.com>

	* clutter/x11/clutter-stage-x11.c:

	Fix fullscreening when the stage is unrealized and on dual-head

2009-04-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:

	[clutter-text] Add a separate property for the selection color

2009-04-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-handle.h:

	[cogl-handle] Fix the broken debug macros

2009-04-04  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-handle.h:

	[cogl] cogl_is_*(): Don't dereference an invalid handle; just
	return FALSE

2009-04-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-render.c:

	[cogl-pango-render] Fix returning to default color after a color
	attribute

2009-04-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Do not connect to ::completed multiple times

2009-04-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Add the ::started signal

2009-04-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-group.c:

	[group] Fix compilation

2009-04-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Do not unref on ::complete by default

2009-04-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-group.c:
	* clutter/clutter-group.h:
	* doc/reference/clutter/clutter-sections.txt:

	[group] Remove long deprecated API

2009-04-01  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter-shader.c:
	* clutter/clutter-shader.h:
	* doc/reference/clutter/clutter-sections.txt:

	[shader] Remove deprecated set_uniform_1f()

2009-04-01  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-shader.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gl/cogl-fbo.h:
	* clutter/cogl/gl/cogl-program.c:
	* clutter/cogl/gl/cogl-program.h:
	* clutter/cogl/gl/cogl-shader-private.h:
	* clutter/cogl/gl/cogl-shader.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-fbo.h:
	* clutter/cogl/gles/cogl-program.c:
	* clutter/cogl/gles/cogl-program.h:
	* clutter/cogl/gles/cogl-shader-private.h:
	* clutter/cogl/gles/cogl-shader.c:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/pango/cogl-pango-glyph-cache.c:
	* tests/conform/test-backface-culling.c:
	* tests/conform/test-npot-texture.c:
	* tests/conform/test-vertex-buffer-contiguous.c:
	* tests/conform/test-vertex-buffer-interleved.c:
	* tests/conform/test-vertex-buffer-mutability.c:
	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-cogl-tex-convert.c:
	* tests/interactive/test-cogl-tex-foreign.c:
	* tests/interactive/test-cogl-tex-getset.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[cogl-handle] Optimize how we define cogl handles

2009-04-02  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl] handle_automatic_blend_enable(): consider layers with
	invalid textures

2009-03-30  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-internal.h:
	* clutter/cogl/common/cogl.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-internal.h:
	* clutter/cogl/gles/cogl.c:

	Unifies 90% of the code in {gl,gles}/cogl.c in common/cogl.c

2009-03-30  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-internal.h:
	* clutter/cogl/gles/cogl-internal.h:

	Removes cogl_blend_func prototype from cogl-internal.h

2009-03-30  Bastian Winkler  <buz@netbuz.org>

	* clutter/clutter-animation.c:

	[docs] Fix some inconsistency in Animation

2009-03-30  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-texture.c:

	[texture] Queue a relayout when changing :keep-aspect-ratio

2009-03-30  Raymond Liu  <raymond.liu@intel.com>

	* clutter/clutter-text.c:

	[text] Use the base class binding pool

2009-03-30  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Different selection modes with multiple clicks

2009-03-30  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] add varargs support for signal::completed

2009-03-30  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Check text length in ::button-press-event

2009-03-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:

	[docs] Fix typo in the AnimationMode name

2009-03-26  Chris Lord  <chris@linux.intel.com>

	* clutter/clutter-timeline.c:

	[ClutterTimeline] Fix clutter_timeline_set_delay

2009-03-25  Damien Lespiau  <damien.lespiau@gmail.com>

	* tests/.gitignore:

	[gitignore] Ignore two newly introduced tests

2009-03-25  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:

	[doc] Fix two small typos in cogl-vertex-buffer

2009-03-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	[build] Fixes a cogl-vertex-buffer.c warning when building for
	GLES

2009-03-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl] Move rect and poly drawing code from cogl-texture.c to
	cogl-primitives.c

2009-03-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl_rectangles] A minor doc fix, and missing newline between
	functions

2009-03-20  Johan Bilien  <jobi@litl.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Allow using array of vertices even without textures

2009-03-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gles/cogl.c:

	Removes a hack in gles/cogl.c that was already fixed in gl/cogl.c

2009-03-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[doc] Update the should_pick_paint() documentation

2009-03-19  Neil Roberts  <neil@linux.intel.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	[glx-texture-pixmap] Don't enable the texture target when binding
	the texture

2009-03-19  Neil Roberts  <neil@linux.intel.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Revert "Use COGL to establish GL state for
	ClutterGLXTexturePixmap"

2009-03-19  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] use an epsilon whens sanity checking sizes

2009-03-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-x11-texture-pixmap.c:

	[docs] Remove unused arguments

2009-03-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Pick up backend-specific API

2009-03-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-animation.c:
	* clutter/clutter-behaviour.c:
	* clutter/clutter-color.c:
	* clutter/clutter-container.c:
	* clutter/clutter-model.c:
	* clutter/clutter-score.c:
	* clutter/clutter-script.c:
	* clutter/clutter-shader-types.c:
	* clutter/clutter-text.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-units.c:
	* clutter/cogl/common/cogl-util.c:
	* clutter/eglnative/clutter-stage-egl.c:
	* clutter/eglx/clutter-backend-egl.c:
	* clutter/fruity/clutter-stage-fruity.c:
	* clutter/glx/clutter-backend-glx.c:
	* clutter/json/json-object.c:
	* clutter/json/json-parser.c:
	* clutter/win32/clutter-backend-win32.c:
	* clutter/x11/clutter-backend-x11.c:
	* tests/conform/test-timeline.c:
	* tests/interactive/test-score.c:
	* tests/interactive/test-script.c:

	Remove usage of the grave accent as quotation mark

2009-03-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gles/cogl.c:

	[cogl] Apply the fix from 2c1c836417 (Flush matrix before clip
	planes) to GLES

2009-03-17  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-cogl-vertex-buffer.c:

	[test-cogl-vertex-buffer] Use clutter_color_from_hls instead of
	hsl_to_rgb

2009-03-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-color.c:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[clutter-color] Use a different hls->rgb algorithm + use floating
	point

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[docs] More information on animation queueing

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Post-release bump to 0.9.3

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:
	* configure.ac:

	[release] Release 0.9.2

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	Update release notes

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:

	[docs] Ignore the TimeoutInterval internal API

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeout-pool.c:

	[docs] Fix naming of the interval parameter

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:

	Fix release date of 0.9.0

2009-03-16  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl] Don't endlessly print the same warning regarding layer
	fallbacks

2009-03-16  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/Makefile.am:
	* tests/interactive/test-cogl-vertex-buffer.c:

	[tests] Adds an interactive cogl vertex buffer unit test

2009-03-09  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl-vertex-buffer] fix cogl_vertex_buffer_draw_elements
	prototype

2009-02-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl-vertex-buffer] Allow querying back the number of vertices a
	buffer represents

2009-02-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:

	[cogl-vertex-buffer] Add a flush of attribute changes in the
	*_draw() functions

2009-03-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-frame-source.c:
	* clutter/clutter-frame-source.h:
	* clutter/clutter-main.c:
	* clutter/clutter-main.h:
	* clutter/clutter-timeline.c:
	* clutter/clutter-timeout-interval.c:
	* clutter/clutter-timeout-interval.h:
	* clutter/clutter-timeout-pool.c:
	* clutter/clutter-timeout-pool.h:

	Count timeline frames using the FPS instead of an integer
	interval

2009-03-16  Havoc Pennington  <hp@pobox.com>

	* clutter/cogl/gl/cogl.c:

	[cogl] Flush matrix before clip planes

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-behaviour-depth.h:
	* clutter/clutter-behaviour-opacity.h:
	* clutter/clutter-behaviour-path.h:
	* clutter/clutter-child-meta.h:
	* clutter/clutter-clone.c:
	* clutter/clutter-clone.h:
	* clutter/clutter-group.h:
	* clutter/clutter-media.h:
	* clutter/clutter-rectangle.h:
	* clutter/clutter-score.h:
	* clutter/clutter-script.h:
	* clutter/clutter-shader.h:
	* clutter/clutter-stage.h:
	* clutter/clutter-texture.h:
	* clutter/clutter-timeline.h:
	* clutter/clutter-units.h:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Bring down the undocumented symbols to 2%

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:
	* doc/reference/clutter/clutter-sections.txt:

	[animation] Enhance consistency of the Animation API

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update after Animation API changes

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.h:

	[docs] Add description of queue_redraw

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-texture-async.c:

	[tests] Remove unused variables

2009-02-17  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:

	[actor] Add ::queue-redraw signal

2009-03-16  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-actor.c:

	[actor] Add :clip-to-allocation property

2009-03-06  Colin Walters  <walters@verbum.org>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Enhance the bind API

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Add Animation getter

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Add an emitter for ::completed

2009-03-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[docs] Clarify Animation memory management

2009-03-16  Øyvind Kolås  <pippin@linux.intel.com>


	Merge branch 'async-texture-thread-pool'

2009-03-12  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:
	* tests/interactive/test-texture-async.c:

	[clutter-texture] fixed gtk-doc formatting, and init threads in
	test.

2009-03-13  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-path.h:

	[cogl-path] Minor fix to gtk-doc

2009-03-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-path.h:
	* clutter/cogl/common/cogl-primitives.c:

	[cogl] Avoid shadowing math.h symbols

2009-03-12  Owen W. Taylor  <otaylor@redhat.com>

	* clutter/clutter-stage.c:

	Avoid drawing twice if relayout queues a draw

2009-03-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Do not cause more size requisitions than necessary

2009-03-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:

	[deprecated] Add Effect deprecation

2009-03-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter.h:

	Add more deprecation notices

2009-03-13  Neil Roberts  <neil@linux.intel.com>

	* README:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/pango/cogl-pango-render.c:
	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-primitives.c:

	Change cogl_path_rectangle and cogl_path_round_rectangle to take
	x1,y1,x2,y2

2009-03-13  Neil Roberts  <neil@linux.intel.com>

	* README:

	[README] Small typo fix

2009-03-12  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'cogl-client-matrix-stacks'

2009-03-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl.c:

	Maintain the Cogl assumption that the modelview matrix is
	normally current

2009-03-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:

	Finish GLES{1,2} support for client side matrix stacks

2009-03-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:

	Use Cogl enum when making modelview-matrix current in
	cogl_{rotate,transform,etc}

2009-03-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:

	Explicitly make the modelview-matrix current in
	cogl_{rotate,transform,etc}

2009-03-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:

	Avoid casting CoglMatrix to a GLfloat * when calling glGetFloatv

2009-03-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-current-matrix.c:

	80 char fix

2009-03-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl.c:

	Removes need for casting (const float *) to (GLfloat *) in
	_cogl_set_clip_planes

2009-02-24  Havoc Pennington  <hp@pobox.com>

	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-current-matrix.c:
	* clutter/cogl/common/cogl-current-matrix.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-matrix-stack.c:
	* clutter/cogl/common/cogl-matrix-stack.h:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/common/cogl-util.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-fbo.c:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:
	* clutter/glx/clutter-stage-glx.c:

	Virtualize GL matrix operations and use a client-side matrix when
	GL is indirect

2009-03-12  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:

	[clutter-texture] updated documentation.

2009-03-12  Øyvind Kolås  <pippin@linux.intel.com>


	Merge commit 'origin/async-texture-thread-pool' into async-size

2009-03-12  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:
	* tests/interactive/test-texture-async.c:

	[clutter-texture] remove load-size-async property

2009-03-12  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:
	* tests/interactive/test-texture-async.c:

	[clutter-texture] add option to not block on size for loaded
	images

2009-03-11  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-texture-async.c:

	[tests] Added test-texture-async

2009-03-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:

	[docs] Add a bindings coding practices

2009-03-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:

	[docs] Reword some of the coding practices

2009-03-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-easing.c:

	[tests] Animate the color during easing

2009-03-10  Geoff Gustafson  <geoff@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Broken fixed:: properties

2009-03-11  Damien Lespiau  <damien.lespiau@gmail.com>

	* build/autotools/shave-libtool.in:
	* build/autotools/shave.in:
	* build/autotools/shave.m4:
	* configure.ac:

	Update shave

2009-02-27  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-text.c:

	Allow NULL for clutter_text_set_text()

2009-03-11  Gordon Williams  <gordon.williams@collabora.co.uk>

	* clutter/clutter-group.c:

	[group] Output the group name when debugging paint

2009-02-26  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:

	Add (out) annotations for ClutterActor

2009-03-09  Raymond Liu  <raymond.liu@intel.com>

	* clutter/clutter-text.c:

	[text] Insertion of multi-byte characters broken

2009-03-11  Raymond Liu  <raymond.liu@intel.com>

	* clutter/clutter-text.c:

	[text] Crash when multi-byte utf8 text exceeds max_length

2009-03-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* HACKING:

	[docs] Document the commit message format

2009-03-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[docs] Calling g_object_ref() will not dispose an object

2009-03-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-color.c:

	[color] Fixed HLS to RGB conversion

2009-03-10  Neil Roberts  <neil@linux.intel.com>

	* clutter/Makefile.am:

	Remove use of $(builddir)

2009-03-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gles/cogl-context.c:

	[cogl] Initialize all members of CoglContext

2009-03-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gles/cogl-context.c:

	[cogl] Initialize boolean flag in CoglContext

2009-03-10  Neil Roberts  <neil@linux.intel.com>

	* clutter/Makefile.am:

	Fix out of tree builds

2009-03-10  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:

	Change the default size of thread pool from 3 to 1

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:
	* doc/reference/clutter/clutter-sections.txt:

	[animation] Add vector variants for ::animate()

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-types.h:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update API reference

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-fixed.c:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Remove ClutterFixed from the documentation

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl.pc.in:

	[cogl] Fix hardcoded paths in the pc file

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-fixed.c:
	* clutter/clutter-fixed.h:

	[fixed] Remove ClutterFixed API

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:
	* clutter/clutter-units.h:

	[units] Add more conversion functions

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-cogl-primitives.c:
	* tests/interactive/test-cogl-tex-convert.c:
	* tests/interactive/test-cogl-tex-foreign.c:
	* tests/interactive/test-cogl-tex-getset.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:
	* tests/interactive/test-text-field.c:

	[tests] Use floats, not ClutterFixed

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Convert units to the right type

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Fix ClutterFixed usage

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* clutter/clutter-texture.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-texture-quality.c:

	[stage] Coalesce fog and perspective API

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-interval.c:

	[interval] Update fixed-point handling

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-clutter-fixed.c:

	[tests] Test CoglFixed, not ClutterFixed

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-util.c:

	[cogl-fixed] Implement the CoglFixed fundamental GType

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:
	* clutter/clutter-timeline.h:

	Move ClutterTimeline to CoglFixed

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-rotate.c:
	* clutter/clutter-behaviour-rotate.h:

	Move ClutterBehaviourRotate to CoglFixed

2009-03-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-behaviour-ellipse.h:

	Move ClutterBehaviourEllipse to CoglFixed

2009-03-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-scale.c:
	* clutter/clutter-behaviour-scale.h:

	Move BehaviourScale to CoglFixed

2009-03-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-fixed.h:

	[cogl-fixed] Add a double-to-fixed conversion macro

2009-03-03  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	[docs] Note that grabs are evil

2009-02-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[docs] Clarify clutter_actor_animate() behaviour

2009-02-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/json/Makefile.am:

	[build] Various fixes for distcheck

2009-02-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* clutter/cogl/Makefile.am:
	* clutter/cogl/cogl.pc.in:
	* configure.ac:

	Add pkg-config file for COGL

2009-02-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-shader.c:
	* po/POTFILES.in:

	[shader] Unify code paths

2009-02-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-color.c:
	* clutter/clutter-color.h:
	* clutter/clutter-deprecated.h:
	* clutter/clutter-script.c:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/test-behave.c:
	* tests/interactive/test-layout.c:

	Clean up of the ClutterColor API

2009-02-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/pango/cogl-pango-render.c:

	[cogl] Add a PANGO debug flag for CoglPango use

2009-03-09  Colin Walters  <walters@verbum.org>

	* clutter/win32/clutter-win32.pc.in:

	Typo in clutter-win32.pc.in introduced by commit 24ce19383

2009-03-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/eglnative/clutter-stage-egl.c:
	* clutter/sdl/clutter-stage-sdl.c:

	Set the mapped flag on the stage in the SDL and eglnative
	backends

2009-02-27  Owen W. Taylor  <otaylor@redhat.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Use COGL to establish GL state for ClutterGLXTexturePixmap

2009-03-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/eglnative/Makefile.am:

	[eglnative] Add -I flags for the clutter dir in the src and build
	dirs

2009-03-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/sdl/clutter-backend-sdl.c:

	Fix warning in clutter-backend-sdl

2009-03-06  Colin Walters  <walters@verbum.org>

	* clutter.pc.in:
	* clutter/win32/clutter-win32.pc.in:
	* clutter/x11/clutter-x11.pc.in:

	Bug 1491 - Fix hardcoded lib path in .pc files

2009-02-27  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-main.c:

	Add a warning for recursive emit_event

2009-02-25  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl-matrix] Documents that CoglMatrix members should be
	considered read only

2009-02-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:

	[cogl-matrix] Adds padding to CoglMatrix

2009-02-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-backend.h:
	* clutter/clutter-main.c:

	[backend] Constify font options

2009-01-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-scriptable.c:

	Intern the ClutterScriptable type name

2009-02-24  Bastian Winkler  <buz@netbuz.org>

	* clutter/clutter-text.h:

	Remove redundant declaration in clutter-text.h

2009-02-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:

	[build] Do not shave typelib generation

2009-02-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[build] Put the X11 pc dependencies in another variable

2009-02-25  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/cogl/gl/cogl-texture.c:

	Fix x/y confusion for GL_TEXTURE_RECTANGLE_ARB

2009-02-26  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-glyph-cache.c:

	[cogl-pango-glyph-cache] Fix compiler warning on 64-bit

2009-02-25  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[clutter-texture] Use a GThreadPool for loading async textures

2009-02-24  Neil Roberts  <neil@linux.intel.com>

	* tests/tools/Makefile.am:

	[tests/tools] Don't install libdisable-npots.so

2009-02-24  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-media.c:
	* clutter/clutter-media.h:

	[media] Add sub-second resolution for the duration

2009-02-24  Bastian Winkler  <buz@netbuz.org>

	* clutter/clutter-media.h:

	[media] Fix the interface cast macro

2009-02-24  Jonathan Matthew  <notverysmart@gmail.com>

	* clutter/cogl/common/cogl-util.c:

	Declare the EnumValues for PixelFormat static

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Use a dynamic array for the actors when delivering events

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/pango/cogl-pango-render.c:

	Remove stray fixed point macro usage

2009-02-23  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-vertex-buffer-contiguous.c:

	[test-vertex-buffer-contiguous] Improves the texturing test

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/running-clutter.xml:

	[docs] Document envvars and command line switches

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Make fuzzy picking a command line switch

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Make disable text mipmapping a command line switch

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Remove usage of ClutterFixed

2009-02-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/cogl/cogl-debug.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-debug.c:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:
	* configure.ac:

	Add runtime debug messages for COGL

2009-02-23  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-main.c:

	Add an environment variable to disable mipmapped text

2009-02-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:

	[Cogl] Remove a debugging assert that was triggering on false
	positives

2009-02-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Always glBindTexture when flushing material state

2009-02-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gles/cogl-context.c:

	[Cogl] Fixes automatic handling of the GL blend enable state.

2009-02-18  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-actor.c:
	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-clip-stack.c:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:

	[Cogl] the cogl_get_*_matrix functions now work with CoglMatrix
	types

2009-02-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[ignore] Update with the introspection files

2009-02-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:

	[build] Move all the compiler flags to AM_CFLAGS

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:

	[backend] Update the viewport when updating the GL context

2009-02-20  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.c:

	[cogl-gles2-wrapper] Actually call glActiveTexture

2009-02-20  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:

	[cogl-gles2-wrapper] Convert texture unit settings to be a static
	sized array

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* build/autotools/Makefile.am:
	* build/autotools/introspection.m4:
	* clutter/Makefile.am:
	* clutter/json/Makefile.am:
	* configure.ac:

	Add build machinery for gobject-introspection data

2009-02-17  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-actor.c:
	* clutter/clutter-alpha.c:
	* clutter/clutter-animation.c:
	* clutter/clutter-backend.c:
	* clutter/clutter-behaviour-path.c:
	* clutter/clutter-behaviour.c:
	* clutter/clutter-binding-pool.c:
	* clutter/clutter-child-meta.c:
	* clutter/clutter-clone.c:
	* clutter/clutter-color.c:
	* clutter/clutter-container.c:
	* clutter/clutter-event.c:
	* clutter/clutter-group.c:
	* clutter/clutter-interval.c:
	* clutter/clutter-main.c:
	* clutter/clutter-model.c:
	* clutter/clutter-path.c:
	* clutter/clutter-score.c:
	* clutter/clutter-script.c:
	* clutter/clutter-shader-types.c:
	* clutter/clutter-stage-manager.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-text.c:
	* clutter/clutter-timeline.c:
	* clutter/json/json-array.c:
	* clutter/json/json-node.c:
	* clutter/json/json-object.c:
	* clutter/json/json-parser.c:

	Add gobject-introspection annotations

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/cogl/Makefile.am:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-docs.xml:

	[docs] Rename cogl-docs from sgml to xml

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-docs.xml:

	[docs] Add the 1.0 symbols index

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/cogl/Makefile.am:

	[docs] Use the --name-space option

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	[docs] Require gtk-doc 1.11

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-shader-types.h:

	Do not use GL types in Clutter headers

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Set the n_markers out paramater

2009-02-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-path.c:

	[path] Do not accept NULL descriptions

2009-02-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour.c:

	[behaviour] Do not notify empty behaviours

2009-02-20  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-color.c:

	Replaced ClutterFixed constants in color_{darken,lighten} with
	float

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/Makefile.am:

	[build] Do not overwrite BUILT_SOURCES

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:

	[build] Fix the ChangeLog generation rule

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* build/autotools/Makefile.am:

	[build] Update the EXTRA_DIST list

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/cogl/Makefile.am:

	[docs] Update build for COGL API reference

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/Makefile.am:

	[build] Reference the headers with their full path

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:

	[build] Show pkg-config file being generated

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-conform-main.c:

	[tests] Add TEST_CONFORM_TODO macro

2009-02-19  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/Makefile.am:

	[tests/conform] Copy in redhand.png

2009-02-19  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:

	Bail early in clutter_texture_paint if opacity == 0

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update the sections file

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.h:

	Remove type functions for removed types

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/x11/Makefile.am:

	[build] Pass the -s switch to cmp

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[docs] Add a missing "return" annotation

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'build-enhancements'

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[docs] Clarify the set_cogl_texture() documentation

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:

	[texture] Use COGL_TYPE_HANDLE for the handle properties

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-util.c:

	[cogl] Provide GTypes for COGL types

2009-02-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* doc/reference/cogl/cogl-sections.txt:

	[cogl] Add cogl_is_material to cogl-material.h

2009-02-19  Damien Lespiau  <damien.lespiau@gmail.com>

	* Makefile.am:
	* build/autotools/Makefile.am:

	[build] Fix dist for the newly introduced m4 macro directory

2009-02-19  Damien Lespiau  <damien.lespiau@gmail.com>

	* autogen.sh:

	[build] Fix interaction between shave, gtk-doc and libtool 1.x

2009-02-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/cogl.c:

	Initialize a variable to avoid warnings

2009-02-18  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-behaviour-rotate.c:

	[ClutterBehaviourRotate] Fix up some breakage from the cogl-float
	branch merge

2009-02-17  Damien Lespiau  <damien.lespiau@gmail.com>

	* .gitignore:
	* build/autotools/dolt.m4:
	* configure.ac:

	[build] Add dolt

2009-02-17  Damien Lespiau  <damien.lespiau@gmail.com>

	* Makefile.am:
	* build/Makefile.am:
	* build/autotools/.gitignore:
	* build/autotools/Makefile.am:
	* build/autotools/shave-libtool.in:
	* build/autotools/shave.in:
	* build/autotools/shave.m4:
	* clutter/Makefile.am:
	* configure.ac:
	* tests/conform/Makefile.am:

	[build] Beautify autotools' output

2009-02-17  Damien Lespiau  <damien.lespiau@gmail.com>

	* .gitignore:
	* tests/.gitignore:

	[gitignore] update gitignore files for tests/

2009-02-18  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	Allow rotation angle properties to be negative

2009-02-18  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	Override the opacity when painting a clone instead of combining

2009-02-18  Tomas Frydrych  <tf@linux.intel.com>

	* clutter/x11/clutter-event-x11.c:

	[x11] Only update cached last event time if we have a real
	timestamp.

2009-02-18  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-color.c:

	[cogl-color.c] #include fix for the cogl_set_source_color
	prototype

2009-02-12  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-main.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:
	* doc/reference/cogl/cogl-sections.txt:

	[Cogl] Renames cogl_paint_init to cogl_clear and adds a
	cogl_disable_fog function

2009-02-12  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-actor.c:
	* clutter/clutter-text.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-clip-stack.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/interactive/test-clip.c:

	[Cogl] cogl_clip_{set*,unset} renamed to cogl_clip_{push*,pop}

2009-02-17  Øyvind Kolås  <pippin@linux.intel.com>

	* clutter/clutter-texture.c:
	* configure.ac:

	Added a mutex for clutter asynchronous textures threads.

2009-02-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/x11/clutter-backend-x11.c:
	* clutter/x11/clutter-backend-x11.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-x11.h:

	[x11] Add backend-specific get_current_event_time()

2009-02-16  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-main.c:

	[clutter-main] Fix the input device passed to
	set_motion_last_actor

2009-02-16  Neil Roberts  <neil@linux.intel.com>

	* clutter/win32/clutter-event-win32.c:
	* clutter/win32/clutter-stage-win32.h:

	[win32] Track mouse leave messages

2009-02-16  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-texture.c:

	Call glActiveTexture and glClientActiveTexture through
	cogl_get_proc_address

2009-02-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/eglx/clutter-stage-egl.c:
	* clutter/glx/clutter-stage-glx.c:
	* clutter/x11/clutter-event-x11.c:

	Emit CLUTTER_LEAVE events when the pointer leaves the stage

2009-02-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Do not bind construct-only properties

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Revert part of commit 402e022c

2009-02-14  Christian Persch  <chpe@gnome.org>

	* clutter/x11/clutter-x11.h:

	Bug 1429 - Redundant declaration in clutter-x11.h

2009-02-13  Owen W. Taylor  <otaylor@fishsoup.net>

	* autogen.sh:

	Honor ACLOCAL_FLAGS in autogen.sh

2009-02-04  Shane Bryan  <shane.bryan@linux.intel.com>

	* clutter/clutter-main.c:

	Bug 1434 - _NET_WM_NAME not set before realize

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[ignore] Add the newly created conformance units

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-model.c:

	[tests] Add conformance tests for ClutterModel

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-conform-main.c:

	[tests] Add TEST_CONFORM_SKIP() macro

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-event.c:
	* clutter/clutter-event.h:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Bug 1440 - Add clutter_get_current_event_time()

2009-02-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-list-model.c:
	* clutter/clutter-list-model.h:

	[list-model] Make ClutterListModel subclassable

2009-02-12  Robert Staudinger  <robsta@openedhand.com>

	* clutter/cogl/Makefile.am:

	[build] Add cogl.h to the built sources list

2009-02-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Check out parameters before setting them

2009-02-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-event.h:

	[event] Extend KeyEvent for multi-input support

2009-02-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Check if the material is valid

2009-02-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Consolidate the quality to filter conversions

2009-02-11  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-pixmap.c:

	[tests] Some improvements for test-pixmap

2009-02-06  Robert Bragg  <bob@o-hand.com>

	* clutter/cogl/cogl-color.h:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/cogl.h.in:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-sections.txt:

	[docs] Various gtk-doc updates for Cogl

2009-02-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-vertex-buffer.c:
	* tests/conform/test-vertex-buffer-contiguous.c:

	[cogl-vertex-buffer] Some fixes for texturing and color arrays

2009-02-06  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Fixes some dirty flag checks

2009-02-04  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:

	[Cogl] Renames cogl_fog_set to cogl_set_fog for consistency

2009-02-09  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-npot-texture.c:

	Added a test for non-power-of-two sized textures

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[cogl-texture] Fix uninitialised priv var in texture_finalize

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[cogl-texture] Move the destruction of the material to _finalize

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl-texture] Fix offset to next quad when flushing the log

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[clutter-texture] Fix the no_slice property

2009-02-05  Chris Lord  <chris@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Force a relayout on set_parent()

2009-02-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/conform/test-text-cache.c:
	* tests/interactive/test-rotate.c:

	[text] Rename :alignment to :line-alignment

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[clutter-texture] Unref the Cogl material on dispose

2009-02-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-texture.c:

	[clutter-texture] Release the temporary ref taken when setting a
	texture

2009-02-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-clone.c:

	[clutter-clone] Override the parent opacity to self not
	self->parent

2009-02-02  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.c:

	[cogl-gles2-wrapper] Remove the FIXME to adjust the fragment
	color

2009-02-02  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-texture.c:

	[cogl-texture] Fix the count for the number of enabled arrays

2009-01-29  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:

	Fix building GLES 2 after the material branch merge

2009-02-02  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Always bind the new texture handle

2009-02-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Use create_pango_layout()

2009-02-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-clone.c:

	[clone] Allow cloning unparented actors

2009-02-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add clutter_text_set_markup()

2009-02-02  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* doc/reference/clutter/clutter-sections.txt:

	Add Actor::create_pango_layout()

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text-field.c:

	[tests] Update the text-field interactive test

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	[text] Merge the attributes with markup enabled

2009-01-29  Tomas Frydrych  <tf@o-hand.com>

	* clutter/x11/clutter-x11-texture-pixmap.c:

	Fix clutter_x11_texture_pixmap_get/set_property() following
	change of PROP_WINDOW type.   PROP_WINDOW is now gulong, so we
	need to use appropriate GValue accessors.

2009-01-27  Tomas Frydrych  <tf@o-hand.com>

	* clutter/x11/clutter-event-x11.c:

	Fixed handling of enter and leave events in
	clutter_x11_handle_event()   When processing a motion event, we
	need to spin the event loop two extra	times to ensure that any
	enter/leave events that might have been synthesized   are pumped
	through (otherwise they end up being pushed down the queue and	
	never processed).

2009-01-30  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Post-release bump to 0.9.1

2009-01-30  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	Update README

2009-01-29  Robert Bragg  <robert@linux.intel.com>

	* README:

	Some updates for the 1.0 release notes regarding Cogl

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:

	[build] Fix distcheck of ChangeLog

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/Makefile.am:

	Add cogl-material-private.h to the source files

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Update ignore file

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:
	* build/gen-changelog.pl:

	[build] Add automatic ChangeLog generation on dist

2009-01-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.c:

	Fix a variable masking warning

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* ChangeLog:
	* ChangeLog.SVN:
	* Makefile.am:

	Move the old ChangeLog into its own file

2009-01-29  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:

	[cogl] Add an NULL terminator to the call to
	material_flush_gl_state

2009-01-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:

	Another Cogl gl vs gles normalizaion pass

2009-01-27  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-color.h:
	* clutter/cogl/common/cogl-color.c:

	Removes cogl_color_set_from_4d as it may mislead people.

2009-01-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-rectangle.c:
	* clutter/clutter-text.c:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl.c:
	* clutter/pango/cogl-pango-render.c:
	* tests/conform/test-backface-culling.c:
	* tests/conform/test-binding-pool.c:
	* tests/interactive/test-binding-pool.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-paint-wrapper.c:

	Changes cogl_rectangle to take x1, y1, x2, y2 args not x1, y1,
	width, height

2009-01-28  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	Adds some debug code to _cogl_journal_flush_quad_batch

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-animation-tutorial.xml:

	[clutter-docs] Update the animation tutorial

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/cogl/cogl-docs.sgml:

	[cogl-docs] Add the Materials section

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Update the pkg-config requires list

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-deprecated.h:

	Undeprecate clutter_actor_set_scale_with_gravity

2009-01-28  Neil Roberts  <neil@linux.intel.com>


	Merge branch 'scale-center'

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	[clutter-actor] Use G_STMT_START/END instead of do { } while (0)

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:

	Update NEWS file

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	Update the release notes for 1.0

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl-texture] Fix order of tex coords when compensating for
	waste

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-backface-culling.c:

	[text-backface-culling] Fix width/height parameters to
	cogl_rectangle

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl-texture] Reset size of vertex log after drawing a polygon

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Fix rectangles_with_multitexture_coords for sliced without tex
	coords

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Fix _cogl_texture_unsliced_quad when no texture coordinates are
	given

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	Reuse the layers list

2009-01-28  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:

	Remove gtk-doc annotation

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-clone.c:

	Fix typo in the :clone getter method

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* README:

	Update the release notes for 1.0

2009-01-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-texture.c:

	Fix building GLES after _cogl_texture_handle_from_pointer got
	removed

2009-01-27  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Directly set backend font options in clutter_set_font_flags

2009-01-27  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:

	Listen for the font-changed signal on the backend in ClutterText

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-matrix.c:
	* doc/reference/cogl/cogl-sections.txt:

	[docs] Documentation fixes

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/clutter/clutter.types:

	[docs] Update Clutter API reference symbols

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.h:

	Removed unused conditional

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'generic-actor-clone'

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-clone-texture.c:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-texture.c:
	* tests/interactive/test-cogl-multitexture.c:

	Fallout from cogl-material merge

2009-01-27  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-types.h:

	Adds padding to CoglColor to future proof it a bit

2009-01-26  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-actor.c:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:

	Support scaling on the z axis with cogl_scale

2009-01-27  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'cogl-material'

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-clone-texture.c:
	* clutter/clutter-clone-texture.h:
	* clutter/clutter-clone.c:
	* clutter/clutter.h:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-fbo.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-paint-wrapper.c:

	Remove CloneTexture from the API

2009-01-27  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/Makefile.am:

	Removes test-simple from tests/interactive/Makefile.am

2009-01-27  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter-main.c:
	* clutter/clutter-main.h:
	* clutter/clutter-private.h:
	* clutter/clutter-types.h:
	* doc/reference/clutter/clutter-sections.txt:

	Replace clutter_set_use_mipmapped_text with
	clutter_set_font_flags

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-actor-clone.c:

	[tests] Clean up the Clone interactive test

2009-01-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-clone-texture.c:
	* clutter/clutter-texture.c:

	clutter-{clone-,}texture weren't updating their material opacity.

2009-01-26  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-internal.h:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:

	Updates GLES1 support for CoglMaterial

2009-01-24  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:

	Normalizes gl vs gles code in preperation for synching material
	changes

2009-01-24  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl.c:

	Removes cogl_blend_func and cogl_alpha_func

2009-01-23  Robert Bragg  <robert@linux.intel.com>

	* README:
	* clutter/clutter-clone-texture.c:
	* clutter/clutter-main.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-internal.h:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/pango/cogl-pango-render.c:
	* tests/conform/test-backface-culling.c:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-material.c:
	* tests/interactive/test-cogl-multitexture.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-cogl-tex-convert.c:
	* tests/interactive/test-cogl-tex-foreign.c:
	* tests/interactive/test-cogl-tex-getset.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:

	Fully integrates CoglMaterial throughout the rest of Cogl

2009-01-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-clone.c:
	* clutter/clutter-clone.h:
	* tests/interactive/test-actor-clone.c:

	Rename ActorClone to Clone/2

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-timeline.c:

	[tests] Remove an unused variable

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	Bug 1388 - Clarify signal emission for advance_to_marker()

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	Bug 1387 - Clarify new-frame signal emission with advance()

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Check the fps property range in the ctor

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Move a complex condition into its own function

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Intern signal names

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Whitespace fixes

2009-01-27  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Documentation and comment fixes

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-timeline.c:

	[tests] Assert as soon as possible

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Create markers hash tables on demand

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-timeline.c:

	[timeline] Limit timelines to 1000 frames per second

2009-01-26  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-texture.c:

	Bug 1414 - avoid relayout of ClutterTexture if not syncing size

2009-01-26  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-actor.c:

	Bug 1415 - short-circuit setting same clip again

2009-01-21  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-stage.c:

	Set the SYNC_MATRICES flag when a stage is first realized

2009-01-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-actor-clone.c:
	* clutter/clutter-actor-clone.h:
	* clutter/clutter-clone.c:
	* clutter/clutter-clone.h:
	* clutter/clutter.h:

	Rename ActorClone to Clone/1

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-ellipse.c:

	Whitespace fixes for BehaviourEllipse

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour.c:

	Bug 1395 - apply and get_nth_actor are inconsistent

2009-01-24  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/common/cogl-primitives.h:
	* clutter/cogl/gles/cogl-primitives.c:

	Fix the Cogl primitives for the GLES backend

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-cogl-primitives.c:

	Simplify test-cogl-primitives

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-cogl-primitives.c:

	[test-cogl-primitives] Remove trailing whitespace

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-timeline.c:

	[clutter-timeline] Remove the code for backwards timelines in
	get_progress

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:
	* doc/reference/clutter/clutter-sections.txt:

	Fix gtk-doc reference since the anchor point changes

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-anchors.c:

	[test-anchors] Add tests for the rotation centers

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-behaviour-rotate.c:

	Convert the rotation centers to be AnchorCoords

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-anchors.c:

	[test-anchors] Add tests for the scale center

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:
	* clutter/clutter-behaviour-scale.c:

	Add a scale center property to ClutterActor

2009-01-22  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-anchors.c:
	* tests/conform/test-conform-main.c:

	Add a conformance test for the anchor point

2009-01-22  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Store when the anchor point is set from a gravity

2009-01-23  Neil Roberts  <neil@linux.intel.com>

	* tests/micro-bench/test-text.c:

	[test-text] Use g_setenv instead of setenv

2009-01-23  Robert Bragg  <robert@linux.intel.com>


	Merge commit 'origin/master' into cogl-material

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-deprecated.h:
	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:
	* doc/reference/clutter/clutter-sections.txt:

	Bug 1361 - Unused ClutterStage::get_resolution() methods

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/Makefile.am:

	Clean up the test reports

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:
	* clutter/pango/Makefile.am:
	* configure.ac:
	* tests/conform/Makefile.am:
	* tests/interactive/Makefile.am:
	* tests/micro-bench/Makefile.am:

	Split maintainer-flags from the compiler flags

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-depth.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture.c:
	* tests/interactive/test-cogl-primitives.c:
	* tests/interactive/test-cogl-tex-tile.c:

	Fix compiler warnings

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'float-alpha-value'

2009-01-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[actor] Add the ::pick signal to the Actor class

2009-01-22  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Fix some failures from the fixed-to-float script in cogl-texture

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Update ignore file with the new tests

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-backface-culling.c:

	[tests] Use the right value in cogl_texture_new*

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/cogl-fixed.c:

	Improve accuracy of clutter_sinx()

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Use the allocation to get the pick area

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/gles/cogl.c:

	[gles] Fix computation of camera distance

2009-01-22  Owen W. Taylor  <otaylor@redhat.com>

	* clutter/cogl/gl/cogl.c:

	Fix computation of camera distance

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Avoid needlessly queue redraws for invisible actors

2009-01-22  Jason Tackaberry  <tack-clutter@urandom.ca>

	* clutter/clutter-stage.c:

	Bug 1409 - Use G_SIGNAL_RUN_LAST with ::queue-redraw signal

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	Fix typo in the flags update

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:

	[units] Fix Units in GValue and ClutterParamSpecUnit

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-ellipse.c:

	Fix the format for a floating point value

2009-01-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-private.h:
	* clutter/clutter-units.c:

	Store the units-per-em inside the Backend

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-event.h:

	[docs] Specify the coordinate space of ButtonEvent

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-units.c:
	* clutter/clutter-units.h:
	* doc/reference/clutter/clutter-sections.txt:

	Add units-from-em conversion

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-units.c:
	* clutter/clutter-units.h:
	* doc/reference/clutter/clutter-sections.txt:

	Remove the single-stage units converters

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-sections.txt:

	[docs] Remove sources of warnings in API references

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/cogl/cogl-sections.txt:

	[docs] Add CoglTextureFlags to the API reference

2009-01-21  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/Makefile.am:

	[docs] Build COGL API reference first

2009-01-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-offscreen.c:
	* tests/interactive/test-cogl-tex-convert.c:
	* tests/interactive/test-cogl-tex-getset.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-cogl-tex-tile.c:

	[tests] Update the tests calling cogl_texture_new_*

2009-01-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/pango/cogl-pango-glyph-cache.c:

	Change the COGL texture constructor to use flags

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update ClutterMedia section

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-media.c:
	* clutter/clutter-media.h:

	Bug 1404 - ClutterMedia issues

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-mesh.h:
	* clutter/cogl/cogl-vertex-buffer.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-mesh-private.h:
	* clutter/cogl/common/cogl-mesh.c:
	* clutter/cogl/common/cogl-vertex-buffer-private.h:
	* clutter/cogl/common/cogl-vertex-buffer.c:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gles/Makefile.am:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/Makefile.am:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-mesh-contiguous.c:
	* tests/conform/test-mesh-interleved.c:
	* tests/conform/test-mesh-mutability.c:
	* tests/conform/test-vertex-buffer-contiguous.c:
	* tests/conform/test-vertex-buffer-interleved.c:
	* tests/conform/test-vertex-buffer-mutability.c:

	Renames the mesh api to the "vertex buffer api".

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-actor.c.0.patch:
	* fixed-to-float-patches/clutter-alpha.c.0.patch:
	* fixed-to-float-patches/clutter-alpha.h.0.patch:
	* fixed-to-float-patches/clutter-behaviour-ellipse.c.0.patch:
	* fixed-to-float-patches/clutter-bezier.c.0.patch:
	* fixed-to-float-patches/clutter-fixed.c.0.patch:
	* fixed-to-float-patches/clutter-fixed.h.0.patch:
	* fixed-to-float-patches/clutter-path.c.0.patch:
	* fixed-to-float-patches/clutter-texture.c.0.patch:
	* fixed-to-float-patches/clutter-units.h.0.patch:
	* fixed-to-float-patches/cogl-fixed.c.0.patch:
	* fixed-to-float-patches/cogl-fixed.h.0.patch:
	* fixed-to-float-patches/cogl-pango-render.c.0.patch:
	* fixed-to-float-patches/cogl-primitives.c.0.patch:
	* fixed-to-float-patches/cogl.h.in.0.patch:
	* fixed-to-float-patches/gl-cogl-primitives.c.0.patch:
	* fixed-to-float-patches/gl-cogl-texture.c.0.patch:
	* fixed-to-float-patches/gl-cogl.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:
	* fixed-to-float-patches/gles-cogl-primitives.c.0.patch:
	* fixed-to-float-patches/gles-cogl-texture.c.0.patch:
	* fixed-to-float-patches/gles-cogl.c.0.patch:
	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:
	* fixed-to-float-patches/test-cogl-tex-tile.c.0.patch:
	* fixed-to-float.sh:

	Removes the fixed-to-float scripts and patches

2009-01-20  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'cogl-float'

2009-01-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-script.c:
	* tests/interactive/test-script.c:

	[script] Parse easing modes by name

2009-01-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:
	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/alpha-func.png:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/clutter/easing-modes.png:
	* doc/reference/clutter/easing-modes.svg:

	[docs] Update the easing modes documentation

2009-01-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:
	* clutter/clutter-types.h:
	* tests/interactive/test-animation.c:
	* tests/interactive/test-easing.c:

	[animation] Implement new easing functions

2009-01-20  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:
	* clutter/clutter-alpha.h:
	* clutter/clutter-animation.c:
	* clutter/clutter-behaviour-depth.c:
	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-behaviour-opacity.c:
	* clutter/clutter-behaviour-path.c:
	* clutter/clutter-behaviour-rotate.c:
	* clutter/clutter-behaviour-scale.c:
	* clutter/clutter-behaviour.c:
	* clutter/clutter-behaviour.h:
	* clutter/clutter-interval.c:
	* clutter/clutter-marshal.list:
	* clutter/clutter-script.c:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-scale.c:

	[animation] Move the alpha value to floating point

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-fixed.h:
	* clutter/clutter-units.h:

	[Automatic fixed-to-float.sh change] Hand coded changes for
	clutter-{fixed,units}

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-alpha.c:
	* clutter/clutter-alpha.h:
	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-bezier.c:
	* clutter/clutter-fixed.c:
	* clutter/clutter-path.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-color.h:
	* clutter/cogl/cogl-fixed.h:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-color.c:
	* clutter/cogl/common/cogl-fixed.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:
	* clutter/pango/cogl-pango-render.c:
	* doc/reference/cogl/cogl-sections.txt:
	* tests/conform/test-backface-culling.c:
	* tests/interactive/test-cogl-tex-tile.c:

	[Automatic fixed-to-float.sh change] Applies a number fixed to
	float patches

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-alpha.c:
	* clutter/clutter-backend.c:
	* clutter/clutter-behaviour-depth.c:
	* clutter/clutter-behaviour-ellipse.c:
	* clutter/clutter-behaviour-rotate.c:
	* clutter/clutter-behaviour-scale.c:
	* clutter/clutter-clone-texture.c:
	* clutter/clutter-color.c:
	* clutter/clutter-fixed.c:
	* clutter/clutter-fixed.h:
	* clutter/clutter-interval.c:
	* clutter/clutter-stage.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-timeline.c:
	* clutter/clutter-units.h:
	* clutter/cogl/cogl-color.h:
	* clutter/cogl/cogl-path.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/cogl-clip-stack.c:
	* clutter/cogl/common/cogl-color.c:
	* clutter/cogl/common/cogl-primitives.c:
	* clutter/cogl/common/cogl-primitives.h:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-primitives.c:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gl/cogl.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-fbo.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-primitives.c:
	* clutter/cogl/gles/cogl-texture.c:
	* clutter/cogl/gles/cogl.c:
	* clutter/pango/cogl-pango-glyph-cache.c:
	* clutter/pango/cogl-pango-glyph-cache.h:
	* clutter/pango/cogl-pango-render.c:
	* tests/conform/test-backface-culling.c:
	* tests/interactive/test-cogl-tex-tile.c:
	* tests/interactive/test-text-field.c:

	[Automatic fixed-to-float.sh change] Applies all scripted changes

2009-01-20  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float.sh:

	Improves the git commit messages used by fixed-to-float.sh

2009-01-19  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-actor-clone.c:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-actor-clone.c:
	* tests/interactive/test-actors2.c:

	Improves the unit test to verify more awkward scaling and some
	corresponding fixes

2009-01-17  Robert Bragg  <robert@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-actor-clone.c:
	* clutter/clutter-actor-clone.h:
	* clutter/clutter-actor.c:
	* clutter/clutter-private.h:
	* clutter/clutter.h:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-actors2.c:

	Implements a generic ClutterActorClone that doesn't need fbos.

2009-01-11  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/clutter-texture.c:

	Change default tile-waste from 64 to 63

2009-01-16  Owen W. Taylor  <otaylor@fishsoup.net>

	* clutter/x11/clutter-x11-texture-pixmap.c:

	Fix properties that have X11 types to be 'long'

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/eglnative/clutter-stage-egl.c:

	[eglnative] Set the SYNC_MATRICES on stage realization

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:
	* fixed-to-float-patches/test-cogl-tex-tile.c.0.patch:
	* fixed-to-float.sh:

	[fixed-to-float.sh] Apply the automatic changes to the tests as
	well

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float.sh:

	[fixed-to-float.sh] Group some of the sed expressions into one
	command

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:

	[fixed-to-float-patches] Replace the cogl_color_*x functions with
	*f

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:

	[docs] Clarify what API registers a global alpha function

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:
	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.1.patch:
	* fixed-to-float.sh:

	[fixed-to-float-patches] Merge the two patches to remove cogl
	fixed params

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[doc] Clarify the animation mode meaning

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	Remove AnimationMode from the Animation API

2009-01-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-alpha.c:
	* clutter/clutter-alpha.h:
	* clutter/clutter-types.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/test-actors.c:
	* tests/interactive/test-behave.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-multistage.c:
	* tests/interactive/test-paint-wrapper.c:
	* tests/interactive/test-rotate.c:
	* tests/interactive/test-scale.c:
	* tests/interactive/test-texture-quality.c:
	* tests/interactive/test-threads.c:
	* tests/interactive/test-viewport.c:

	[alpha] Allow registering alpha functions

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/gles-cogl-gles2-wrapper.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:
	* fixed-to-float-patches/gles-cogl.c.0.patch:
	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:
	* fixed-to-float.sh:

	[fixed-to-float.sh] Use float names for the GLES2 wrappers

2009-01-16  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:

	[fixed-to-float-patches] Move the changes to gles2-wrapper.h into
	the patch

2009-01-15  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/gles-cogl-gles2-wrapper.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:
	* fixed-to-float-patches/gles-cogl.c.0.patch:

	[fixed-to-float-patches] Fix use of glClearColor and glColor
	under GLES 2

2009-01-15  Neil Roberts  <neil@linux.intel.com>


	Merge branch 'master' into cogl-float

2009-01-15  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-texture.c:

	Fix GLES backends after merging the async-textures branch

2009-01-15  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float.sh:

	[fixed-to-float.sh] Remove the mtx_transform patch from the
	script

2009-01-15  Neil Roberts  <neil@linux.intel.com>

	* fixed-to-float-patches/gl-cogl.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.c.0.patch:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:
	* fixed-to-float-patches/gles-cogl.c.0.patch:
	* fixed-to-float.sh:

	[fixed-to-float-patches] Fix some of the matrix getters and
	setters

2009-01-15  Robert Bragg  <robert@linux.intel.com>

	* tests/micro-bench/test-text.c:

	[test-text] queue redraws instead of calling clutter_actor_paint
	directly

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.h:

	Bug 1380 - Return booleans from CLUTTER_ACTOR_IS_* macros

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-effect.c:
	* clutter/clutter-effect.h:
	* clutter/clutter.h:
	* doc/reference/clutter/clutter-sections.txt:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-effects.c:

	Remove the Effects API

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	Emit ::load-finished for every texture load

2009-01-14  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-depth.c:

	[test-depth] cast width to gint when calculating -width/2

2009-01-08  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/Makefile.am:
	* tests/interactive/test-clutter-cairo-flowers.c:

	[tests] Adds a flowery clutter_cairo_texture unit test

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'async-textures'

2009-01-14  Neil Roberts  <neil@linux.intel.com>

	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:
	* clutter/x11/clutter-stage-x11.h:

	[ClutterStageX11] Remove the handling_configure flag

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	Add unused symbols

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Fix compile warning for a possible uninitialized variable

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.h:

	Add declaration of clutter_binding_pool_get_type()

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'animation-improvements'

2009-01-14  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-depth.c:

	Fix compilation warning

2009-01-14  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:

	[clutter-text] Fix x-position of cursor when moving up or down

2009-01-13  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:

	[clutter-text] Fix offset_to_bytes to work when pos == 0

2009-01-13  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-text.c:

	[clutter-text] Don't allow control characters to be inserted

2008-11-27  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-texture.c:

	Fix GLES 2 after the multiple-texture-rectangle branch merge

2009-01-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-texture.h:

	Update gtk-doc 'Since' field for cogl_texture_multiple_rectangles

2009-01-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	[gitignore] Update the ignore file

2009-01-13  Robert Bragg  <robert@linux.intel.com>


	Merge commit 'origin/master' into cogl-material

2009-01-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:

	Add ClutterBindingPool:name

2009-01-13  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.0.patch:
	* fixed-to-float-patches/remove_cogl_apis_taking_fixed_params.1.patch:
	* fixed-to-float.sh:

	Remove cogl_blahx Cogl interfaces that used to take CoglFixed
	parameters.

2009-01-13  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:
	* clutter/clutter-binding-pool.h:

	Turn ClutterBindingPool a GObject

2009-01-12  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/gl-cogl.c:
	* fixed-to-float-patches/gl-cogl.c.0.patch:

	[gl/cogl.c] Updates the cogl_rotatex prototype to take float
	x,y,z params

2009-01-12  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/cogl.h.in.0.patch:
	* fixed-to-float.sh:

	[cogl.h.in.0.patch] Fixes the cogl_rotatex prototype to take
	float x,y,z params

2009-01-08  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* fixed-to-float-patches/gles-cogl-gles2-wrapper.h.0.patch:
	* fixed-to-float-patches/gles-cogl-primitives.c.0.patch:
	* fixed-to-float-patches/gles-cogl-texture.c.0.patch:
	* fixed-to-float-patches/gles-cogl.c.0.patch:
	* fixed-to-float.sh:

	[cogl/gles] Fixes for building for GLES 1 using floats

2009-01-08  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float.sh:

	[fixed-to-float.sh] Replace uses of COGL_FIXED_FROM_INT not
	followed by a space

2009-01-08  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-fixed.h.0.patch:

	converts clutter_{sin,cos,tan,atan}x angles to radians before
	calling math.h func

2009-01-08  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-actor.c.0.patch:
	* fixed-to-float-patches/clutter-alpha.c.0.patch:
	* fixed-to-float-patches/clutter-path.c.0.patch:
	* fixed-to-float-patches/clutter-texture.c.0.patch:
	* fixed-to-float-patches/cogl-pango-render.c.0.patch:
	* fixed-to-float-patches/mtx_transform.0.patch:

	[fixed-to-float-patches] Updates the patches in line with the
	last merge

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	Whitespace fixes in ClutterTexture

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[async-loading] Do not force the texture size on async load

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[async-loading] Update asynchronous image loading

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/common/cogl-bitmap-pixbuf.c:
	* clutter/cogl/common/cogl-bitmap.c:
	* clutter/cogl/common/cogl-bitmap.h:

	Add API for extracting image size from a file

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'master' into async-textures

2009-01-12  Havoc Pennington  <hp@pobox.com>

	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:

	Bug 1087 - virtualize stage_queue_redraw

2009-01-12  Robert Bragg  <robert@linux.intel.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	[ClutterGLXTexturePixmap] Use an RGB texture (not ARGB) for 24bpp
	pixmaps

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:

	Declare G_LOG_DOMAIN for COGL

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:
	* clutter/clutter-stage.h:

	Allow ensuring that a stage viewport is updated

2009-01-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:

	[x11] Proper fix for the ClutterStage resize race

2009-01-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-mesh.c:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Documentation warnings

2009-01-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:
	* clutter/x11/clutter-event-x11.c:
	* clutter/x11/clutter-stage-x11.c:

	[x11] Fix a race condition when resizing a stage

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Fix GObject properties in ClutterText

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-units.h:
	* tests/interactive/test-project.c:

	Fix last improper usage of ClutterUnits

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'animatable-iface' into animation-improvements

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/clutter/clutter.types:

	[docs] Add ClutterAnimatable to the API reference

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animatable.c:
	* clutter/clutter-animatable.h:

	Add license notice to ClutterAnimation files

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update the ClutterAnimation section

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-animation.h:

	[animation] Extend ClutterAnimation support to all objects

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:

	[animation] Use ClutterAnimatable inside Animation

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-animatable.c:
	* clutter/clutter-animatable.h:
	* clutter/clutter.h:

	[animation] Add ClutterAnimatable

2009-01-08  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'master' into cogl-float

2009-01-07  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-behaviour-ellipse.c.0.patch:

	fixes for clutter-behaviour-ellipse.c.0.patch

2009-01-07  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-alpha.c.0.patch:

	[clutter-alpha.c.0.patch] replace ClutterAngle with float

2009-01-07  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float.sh:

	Replaces uses of CoglAngle with floats (Though the CoglAngle type
	remains)

2009-01-07  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-clip.c:

	[test-clip] Use gint for hand_{width,height} when calulating
	-hand_* /2

2009-01-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-interval.c:
	* clutter/clutter-interval.h:

	[animation] Allow registering custom progress function

2009-01-07  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/test-depth.c:

	[test-depth] Use a gint for width, not guint, when calculating
	-width/2

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-animation.c:
	* clutter/clutter-interval.c:
	* clutter/clutter-interval.h:

	[animation] Interval::compute_value should return a boolean

2009-01-07  Chris Lord  <chris@linux.intel.com>

	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/cogl-types.h:
	* clutter/cogl/common/cogl-bitmap.c:
	* clutter/cogl/common/cogl-bitmap.h:
	* clutter/cogl/gl/cogl-texture.c:

	Update/clean and apply the async-texture patch from bug #1144

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Rename a variable masking index()

2009-01-07  Neil Roberts  <neil@linux.intel.com>


	Merge branch multiple-texture-rectangle into master

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text.c:

	[tests] Update the ClutterText interactive test

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Documentation fixes

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Do not use markup on an editable Text

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Do not ensure the cursor if not needed

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-scale.c:

	[tests] Make test-scale use ClutterText

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/Makefile.am:
	* tests/interactive/test-opacity.c:

	[tests] Remove test-opacity interactive test

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge the ClutterText actor

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.h:

	Re-align ClutterText header file

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Fix cursor sizing

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* po/clutter-0.8.pot:

	Comments and whitespace fixes to ClutterText

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add newly added :single-line-mode accessors

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	Update the ignore file

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/Makefile.am:
	* tests/interactive/test-text-field.c:

	[tests] Add text field interactive test

2009-01-07  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	[text] Add single-line-mode to ClutterText

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Fix the deletion actions

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Use cached length when possible

2009-01-06  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float.sh:

	[fixed-to-float.sh] COGL_FIXED_FROM_INT wasn't casting to a float

2009-01-06  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-alpha.c.0.patch:

	[clutter-alpha.c.0.patch] Normalizes sine values [0,1] before
	calculating alpha

2009-01-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	[cogl-material] Restore the GL_TEXTURE_ENV_MODE after
	material_rectangle

2009-01-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	[cogl-material] Make the user_tex_coords parameter of _rectangle
	const

2009-01-06  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-cogl-material.c:

	[test-cogl-material] Remove return value from
	material_rectangle_paint

2009-01-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/Makefile.am:
	* clutter/cogl/gles/Makefile.am:

	Add cogl-material.h and cogl-matrix.h to
	libclutterinclude_HEADERS

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-clutter-text.c:
	* tests/conform/test-conform-main.c:

	[tests] Add unit for the ClutterText:password-char property

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Update the Text section

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	[text] Coalesce text visibility and password character

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-interval.c:
	* tests/interactive/test-animation.c:

	Animate ClutterColor properties

2009-01-06  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Allow localizations to change the text direction

2009-01-06  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-stage.c:

	Fix off-by-one error in clutter_stage_read_pixels

2009-01-06  Takao Fujiwara  <takao.fujiwara@sun.com>

	* clutter/clutter-main.c:
	* clutter/glx/clutter-backend-glx.c:
	* clutter/x11/clutter-backend-x11.c:
	* configure.ac:
	* po/POTFILES.in:

	Bug 1397 - Allow localizing the command line help

2009-01-05  Neil Roberts  <neil@linux.intel.com>

	* tests/tools/Makefile.am:
	* tests/tools/disable-npots.c:

	Make libdisable-npots a bit more portable

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Clean up the update_pango_context() function

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Pass the PangoContext, not the MainContext

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Revert the logic of the PangoContext check

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:

	Remove the binding pool entry from the list

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:
	* clutter/clutter-binding-pool.h:
	* doc/reference/clutter/clutter-sections.txt:

	Remove BindingPool::list_actions()

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Add ClutterActor::create_pango_context()

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Rename the PangoContext creation functions

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Whitespace fixes

2009-01-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-animation.c:

	Fix some animation_set_* functions so they cope if the value is
	the same

2009-01-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-alpha.c:
	* clutter/clutter-behaviour.c:
	* clutter/clutter-clone-texture.c:

	Fix some *_set functions so they work if the object is the same
	value

2009-01-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-animation.c:

	Fix setting the mode on a ClutterAlpha created with
	animation_set_alpha(NULL)

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add the new API to the BindingPool section

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-binding-pool.c:
	* clutter/clutter-binding-pool.h:

	Allow overriding actions inside a BindingPool

2009-01-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-alpha.c:

	In clutter_alpha_set_mode, set priv->mode after setting the func

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[text] Add select-all binding

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add clutter_text_activate()

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Remove ClutterLabel and ClutterEntry sections

2009-01-05  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'units-rework'

2008-12-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-clone-texture.c:
	* clutter/clutter-texture.c:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* tests/interactive/test-cogl-material.c:

	[cogl-material] improvements for cogl_material_rectangle

2008-12-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:

	[cogl-material] Adds a cogl_material_set_color function

2008-12-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:

	[cogl-material] Some improvements for how we sync CoglMaterial
	state with OpenGL

2008-12-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-clone-texture.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:

	[cogl-material] Converts clutter-texture/clutter-clone-texture to
	the material API

2008-12-24  Robert Bragg  <robert@linux.intel.com>


	Merge branch 'master' into cogl-material

2008-12-23  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-clone-texture.c:
	* clutter/clutter-texture.c:
	* clutter/clutter-texture.h:
	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:

	White space clean up across a number of files (only removing
	trailing spaces)

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-binding-pool.c:

	Remove a masking with index()

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-behaviour-rotate.c:

	Fix an empty block

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Add more maintainer CFLAGS

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-backend.c:
	* doc/reference/clutter/clutter-sections.txt:

	[docs] Document the newly added functions

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Add the ability to set the text direction

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:

	Return the default font name if no font name is set

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use the default font from the Backend

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-backend.h:

	Store the default font name inside ClutterBackend

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-main.c:

	Update the PangoContext on backend changes

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-main.c:
	* clutter/clutter-private.h:

	Store the PangoContext inside the main context

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Do not leak the PangoContext

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Create the PangoContext of the Text actor

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Add a per-actor PangoContext

2008-12-23  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-backend.c:
	* clutter/clutter-backend.h:

	Add signals for Backend options

2008-12-19  Robert Bragg  <robert@linux.intel.com>

	* fixed-to-float-patches/clutter-actor.c.0.patch:
	* fixed-to-float-patches/clutter-alpha.c.0.patch:
	* fixed-to-float-patches/clutter-alpha.h.0.patch:
	* fixed-to-float-patches/clutter-behaviour-ellipse.c.0.patch:
	* fixed-to-float-patches/clutter-bezier.c.0.patch:
	* fixed-to-float-patches/clutter-fixed.c.0.patch:
	* fixed-to-float-patches/clutter-fixed.h.0.patch:
	* fixed-to-float-patches/clutter-path.c.0.patch:
	* fixed-to-float-patches/clutter-texture.c.0.patch:
	* fixed-to-float-patches/clutter-units.h.0.patch:
	* fixed-to-float-patches/cogl-fixed.c.0.patch:
	* fixed-to-float-patches/cogl-fixed.h.0.patch:
	* fixed-to-float-patches/cogl-pango-render.c.0.patch:
	* fixed-to-float-patches/cogl-primitives.c.0.patch:
	* fixed-to-float-patches/gl-cogl-primitives.c.0.patch:
	* fixed-to-float-patches/gl-cogl-texture.c.0.patch:
	* fixed-to-float-patches/gl-cogl.c:
	* fixed-to-float-patches/mtx_transform.0.patch:
	* fixed-to-float-patches/test-cogl-tex-tile.c.0.patch:
	* fixed-to-float.sh:

	First cut at a fixed point to floating point conversion script +
	patches

2008-12-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/common/cogl-material.c:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-sections.txt:

	[doc] Hooks up cogl-material reference documentation

2008-12-18  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-texture.c:

	Updates previous GLES multi-texturing code to use CoglMaterial

2008-12-11  Robert Bragg  <bob@o-hand.com>

	* clutter/cogl/cogl-material.h:
	* clutter/cogl/cogl.h.in:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-material-private.h:
	* clutter/cogl/common/cogl-material.c:
	* clutter/cogl/common/cogl-matrix.h:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* tests/data/Makefile.am:
	* tests/data/light0.png:
	* tests/data/light1.png:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-cogl-material.c:
	* tests/interactive/test-cogl-multi-texture.c:

	Adds a CoglMaterial abstraction, which includes support for
	multi-texturing

2008-12-22  Robert Bragg  <robert@linux.intel.com>

	* clutter/cogl/cogl-matrix.h:
	* doc/reference/cogl/cogl-docs.sgml:
	* doc/reference/cogl/cogl-sections.txt:

	[doc] Hooks up cogl-matrix reference documentation

2008-12-11  Robert Bragg  <bob@o-hand.com>

	* clutter/cogl/cogl-matrix.h:
	* clutter/cogl/common/Makefile.am:
	* clutter/cogl/common/cogl-matrix.c:
	* clutter/cogl/common/cogl-matrix.h:

	Adds CoglMatrix utility code

2008-12-11  Robert Bragg  <bob@o-hand.com>

	* tests/data/Makefile.am:
	* tests/data/light0.png:
	* tests/data/light1.png:
	* tests/data/redhand_alpha.png:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-cogl-multi-texture.c:

	[tests] Adds an interactive unit test for multi-texturing

2008-12-11  Robert Bragg  <bob@o-hand.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/common/cogl-handle.h:
	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl-texture-private.h:
	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-defines.h.in:
	* clutter/cogl/gles/cogl-fixed-fragment-shader.glsl:
	* clutter/cogl/gles/cogl-fixed-vertex-shader.glsl:
	* clutter/cogl/gles/cogl-gles2-wrapper.c:
	* clutter/cogl/gles/cogl-gles2-wrapper.h:
	* clutter/cogl/gles/cogl-texture-private.h:
	* clutter/cogl/gles/cogl-texture.c:

	[multi-texturing] This adds a new cogl_multi_texture API for
	GL,GLES1 + GLES2

2008-12-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* tests/conform/test-clutter-text.c:

	Use "" as the default value for the :text property

2008-12-22  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-private.h:
	* clutter/clutter-text.c:

	Do not include cogl-pango.h multiple times

2008-12-22  Owen Taylor  <otaylor@fishsoup.net>

	* clutter/x11/clutter-event-x11.c:

	Return something reasonable from clutter_x11_handle_event()

2008-12-21  Robert Bragg  <robert@linux.intel.com>

	* .gitignore:

	[gitignore] Adds *.swn + *.swo (Vim files) & *.orig + *.reg
	(patch conflicts)

2008-12-21  Robert Bragg  <robert@linux.intel.com>

	* clutter/clutter-cairo-texture.h:
	* clutter/clutter-path.h:

	[build] Replaces use of #include <cairo/cairo.h> with #include
	<cairo.h>

2008-12-19  Robert Bragg  <robert@linux.intel.com>

	* tests/interactive/Makefile.am:

	[tests] Ensures that test-viewport.c is built

2008-12-19  Robert Bragg  <robert@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-launcher.sh:

	[tests] Ensure that test-launcher.sh is found for out of tree
	builds

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-path.c:
	* clutter/clutter-path.h:

	Avoid masking math.h exported variables

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Remove a duplicate definition

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	[docs] Documentation fixes for CairoTexture

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-path.c:

	Whitespace fixes

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-path.c:
	* clutter/clutter-path.h:

	[docs] Parameter naming fixes

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add last few missing symbols to the sections file

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add shader symbols to their sections

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add ClutterPath unused symbols

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Fix a typo in the binding pool section

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>


	Merge branch 'cairo-texture'

2008-12-19  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	[cairo-texture] Remove the construct only restriction on surface
	size

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-texture.c:

	[texture] Do not mix fixed point and units values

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-unproject.c:

	[tests] Fix the actor detection

2008-12-19  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	[units] Do not use fixed point and units interchangeably

2008-12-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* CODING_STYLE:

	[docs] Fix a copy-and-paste typo in the coding style

2008-12-18  Emmanuele Bassi  <ebassi@linux.intel.com>

	* CODING_STYLE:
	* HACKING:
	* Makefile.am:

	[docs] Add coding style document

2008-12-18  Robert Bragg  <robert@linux.intel.com>

	* clutter/glx/clutter-glx-texture-pixmap.c:

	Improves tfp performance on Nvidia

2008-12-18  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-scale.c:

	[test-scale] Add a label showing the gravity

2008-12-18  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-alpha.c:

	Fix calculation in clutter_cubic_bezier

2008-12-17  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-interval.c:

	[clutter-interval] Fix calculation of interval for unsigned types

2008-12-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	[cairo-texture] Silently discard 0x0 surfaces

2008-12-17  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	Minor fix to documentation for clutter_actor_get_anchor_point

2008-12-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:
	* tests/conform/Makefile.am:
	* tests/conform/test-launcher.sh:
	* tests/conform/wrapper.sh:

	[tests] Create a real file for each test unit

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Fix the selection behaviour around the 0th glyph

2008-12-16  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-behaviour-path.c:
	* clutter/clutter-path.c:
	* clutter/clutter-path.h:
	* tests/conform/test-path.c:

	Convert clutter_path_get_position to take a gdouble instead of an
	alpha value

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Support pango_layout_set_height() in ClutterText

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-text-cache.c:

	[tests] Make the layout cache fail at the right place

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add clutter_text_set_selection to gtk-doc

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Add ClutterText::set_selection()

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Fix ClutterText::get_selection()

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[docs] Add more gtk-doc annotations

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use clutter_text_activate()

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Add ClutterText::activate()

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[docs] Add more gtk-doc annotations for ClutterText

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	[docs] Annotate properties and fix signals docs

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-sections.txt:

	[docs] Add :cursor-size property accessors

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Allow selecting with line-start and line-end bindings

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Add :cursor-size property to ClutterText

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Remove unused page up/down key bindings

2008-12-16  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Fix line start and line end key binding behaviour

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Fix up/down key navigation

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use units in position_to_coords()

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.h:

	Constify the cursor geometry in ::cursor-event

2008-12-15  Neil Roberts  <neil@linux.intel.com>

	* tests/interactive/test-paint-wrapper.c:

	[test-paint-wrapper] Use a separate paint guard for each actor

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.h:

	[docs] Add annotations for ClutterText structures

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-entry.c:
	* clutter/clutter-entry.h:
	* clutter/clutter-label.c:
	* clutter/clutter-label.h:

	Remove ClutterLabel and ClutterEntry

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-path.h:

	Re-indent ClutterPath header

2008-12-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-fixed.c:

	Fix a typo in the ClutterParamSpecFixed declaration

2008-12-13  Emmanuele Bassi  <ebassi@gnome.org>

	* clutter/clutter-behaviour-ellipse.c:

	Remove a double semi-colon typo

2008-12-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	Fix the gtk-doc for some properties in ClutterActor

2008-12-12  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-actor.c:

	Fix the definition of clutter_actor_set_scale to match the
	declaration

2008-12-05  Neil Roberts  <neil@linux.intel.com>

	* tests/conform/test-path.c:

	Add a test case for the new cairo path functions

2008-12-05  Neil Roberts  <neil@linux.intel.com>

	* clutter/clutter-path.c:
	* clutter/clutter-path.h:
	* doc/reference/clutter/clutter-sections.txt:

	Add clutter_path_to_cairo_path and clutter_path_add_cairo_path

2008-12-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	Warn instead of returning in the IN_PAINT check

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	Small documentation fixes

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-cairo-texture.c:

	Print a warning when creating a cairo_t while painting

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-stage.c:

	Do not set the IN_PAINT flag inside the Stage paint

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:

	Set the IN_PAINT private flag

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/clutter/clutter.types:

	[docs] Add ClutterCairoTexture to the API reference

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-cairo-texture.c:
	* clutter/clutter-cairo-texture.h:
	* clutter/clutter.h:

	Add ClutterCairoTexture

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac:

	Require Cairo as a Clutter dependency

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* doc/reference/clutter/Makefile.am:
	* doc/reference/clutter/clutter-docs.xml:
	* doc/reference/clutter/clutter-sections.txt:
	* doc/reference/clutter/clutter.types:

	[docs] Update the API reference

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Fix documentation issues

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Lazily create the PangoContext on Text::init

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter.h:

	Remove ClutterEntry and ClutterLabel from the build

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/micro-bench/test-text.c:

	Update the micro-bench tests to ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-clip.c:
	* tests/interactive/test-cogl-tex-polygon.c:
	* tests/interactive/test-depth.c:
	* tests/interactive/test-easing.c:
	* tests/interactive/test-fbo.c:
	* tests/interactive/test-layout.c:
	* tests/interactive/test-multistage.c:
	* tests/interactive/test-project.c:
	* tests/interactive/test-random-text.c:
	* tests/interactive/test-rotate.c:
	* tests/interactive/test-shader.c:
	* tests/interactive/test-stage-read-pixels.c:
	* tests/interactive/test-unproject.c:

	Update the interactive tests to ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/Makefile.am:

	Do not compile the opacity and entry interactive tests

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* .gitignore:

	Update ignore file

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-paint-opacity.c:

	Update the paint opacity unit test

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Allow only synthetic events with keyval 0

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Do not use contractions when not needed

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use the paint opacity when painting a ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Add documentation annotations

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Code style fixes

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Remove unused types

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-clutter-entry.c:
	* tests/conform/test-conform-main.c:
	* tests/conform/test-label-cache.c:
	* tests/conform/test-text-cache.c:

	Remove units for Entry and Label

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Truncate selections on text insertion

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Change the binding propagation when truncating a selection

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text.c:

	Comment out the mapping API

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Use ClutterBindPool inside ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* tests/conform/test-clutter-text.c:
	* tests/conform/test-conform-main.c:

	Add Text::get_chars() implementation and tests

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Do not namespace internal data structures

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-clutter-text.c:

	Add comments in the test suite

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Move internal data structures on top

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Coding style consistency

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Implement Text:max-length

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/test-clutter-text.c:

	Update the ClutterText test unit

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use the stored contents length in ::delete_chars()

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Improve the safety checks inside the text setters

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Add :cursor-color-set property declaration

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	General whitespace fixes in ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Replace offset_to_bytes() implementation

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/conform/Makefile.am:
	* tests/conform/test-clutter-entry.c:
	* tests/conform/test-clutter-text.c:
	* tests/conform/test-conform-main.c:

	Add a separate test unit for ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Add text editing methods

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Add missing basic constructor

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Initialize the cursor position

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Add text-visibility accessors for ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-threads.c:

	Move test-threads to ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Correctly initialize the initial state of ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Merge the ClutterLabel properties into ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.h:

	Add Text::get_chars() method declaration

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Add Actor::grab_key_focus() method

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.h:

	Merge Label and Entry API into ClutterText

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:
	* clutter/clutter-text.h:

	Expose the Text accessors as public API

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tests/interactive/test-text.c:

	Update the ClutterText interactive test

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Coalesce ClutterLabel API usage

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Group all the integer private fields

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-text.c:

	Use internal headers

2008-12-11  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/Makefile.am:
	* clutter/clutter-text.c:
	* clutter/clutter-text.h:
	* clutter/clutter.h:
	* tests/interactive/Makefile.am:
	* tests/interactive/test-text.c:

	Initial import of the Text actor from Tidy

2008-12-11  Emmanuele Bassi  <ebassi@gnome.org>

	* clutter/clutter.h:

	Resort the main Clutter include file

2008-12-10  Emmanuele Bassi  <ebassi@gnome.org>

	* .gitignore:

	Update ignore file

2008-12-10  Emmanuele Bassi  <ebassi@gnome.org>

	* clutter/clutter-actor.c:
	* clutter/clutter-actor.h:

	Do not modify parameters in place

2008-12-10  Neil Roberts  <neil@linux.intel.com>


	Merge commit 'git-svn' into multiple-texture-rectangle

2008-12-10  Neil Roberts  <neil@openedhand.com>

	* ChangeLog:
	* clutter/cogl/common/cogl-mesh.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-defines.h.in:
	* clutter/cogl/gl/cogl.c:

	* clutter/cogl/gl/cogl.c: * clutter/cogl/gl/cogl-defines.h.in: *
	clutter/cogl/gl/cogl-context.h: *
	clutter/cogl/common/cogl-mesh.c: Rename the glBufferDataSub
	function to glBufferSubData. When calling glXGetProcAddress with
	the former Mesa returns a stub dispatch function which will
	segfault if you try to use it. With NVIDIA it returns NULL so
	_cogl_features_init decides the card doesn't have VBO support.

2008-12-10  Neil Roberts  <neil@openedhand.com>

	* ChangeLog:
	* clutter/clutter-behaviour-ellipse.c:

	Bug 1323 - ClutterBehaviorDepth conflicts with other behaviors

2008-12-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:
	* clutter/cogl/gles/cogl-texture.c:

	Use a single index array

2008-12-09  Neil Roberts  <neil@linux.intel.com>


	Merge commit 'git-svn' into multiple-texture-rectangle

2008-12-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gles/cogl-context.c:
	* clutter/cogl/gles/cogl-context.h:
	* clutter/cogl/gles/cogl-texture.c:

	Support cogl_texture_multiple_rectangles in GL ES backend

2008-12-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	Minor fix to indentation in gl/cogl-texture.c

2008-12-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* doc/reference/cogl/cogl-sections.txt:

	Add gtk-doc for cogl_texture_multiple_rectangles

2008-12-09  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:

	Use glDrawRangeElements to share vertices

2008-12-04  Neil Roberts  <neil@linux.intel.com>


	Merge commit 'git-svn' into multiple-texture-rectangle

2008-12-04  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	Use the correct length in _cogl_texture_flush_vertices

2008-11-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-texture.c:

	Use GL_TRIANGLES for the texture vertex array

2008-11-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/pango/cogl-pango-render.c:

	Use cogl_texture_multiple_rectangles in CoglPangoRenderer

2008-11-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/cogl-texture.h:
	* clutter/cogl/gl/cogl-texture.c:

	Add cogl_texture_multiple_rectangles

2008-11-28  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:

	Make cogl_texture_rectangle use the vertex array

2008-11-27  Neil Roberts  <neil@linux.intel.com>

	* clutter/cogl/gl/cogl-context.c:
	* clutter/cogl/gl/cogl-context.h:
	* clutter/cogl/gl/cogl-texture.c:

	Use a GArray for the texture vertices in cogl_texture_polygon

